var events_c12a15a8_c380_4b28_8144_256cba95f760 = 
{
	"commonEvent": {
		"加点事件": [
			{
				"type": "comment",
				"text": "通过传参，flag:arg1 表示当前应该的加点数值"
			},
			{
				"type": "choices",
				"choices": [
					{
						"text": "攻击+${1*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:atk",
								"operator": "+=",
								"value": "1*flag:arg1"
							}
						]
					},
					{
						"text": "防御+${2*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:def",
								"operator": "+=",
								"value": "2*flag:arg1"
							}
						]
					},
					{
						"text": "生命+${200*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:hp",
								"operator": "+=",
								"value": "200*flag:arg1"
							}
						]
					}
				]
			}
		],
		"回收钥匙商店": [
			{
				"type": "comment",
				"text": "此事件在全局商店中被引用了(全局商店keyShop)"
			},
			{
				"type": "comment",
				"text": "解除引用前勿删除此事件"
			},
			{
				"type": "comment",
				"text": "玩家在快捷列表（V键）中可以使用本公共事件"
			},
			{
				"type": "while",
				"condition": "1",
				"data": [
					{
						"type": "choices",
						"text": "\t[商人,trader]你有多余的钥匙想要出售吗？",
						"choices": [
							{
								"text": "黄钥匙（10金币）",
								"color": [
									255,
									255,
									0,
									1
								],
								"action": [
									{
										"type": "if",
										"condition": "item:yellowKey >= 1",
										"true": [
											{
												"type": "setValue",
												"name": "item:yellowKey",
												"operator": "-=",
												"value": "1"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "+=",
												"value": "10"
											}
										],
										"false": [
											"\t[商人,trader]你没有黄钥匙！"
										]
									}
								]
							},
							{
								"text": "蓝钥匙（50金币）",
								"color": [
									0,
									0,
									255,
									1
								],
								"action": [
									{
										"type": "if",
										"condition": "item:blueKey >= 1",
										"true": [
											{
												"type": "setValue",
												"name": "item:blueKey",
												"operator": "-=",
												"value": "1"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "+=",
												"value": "50"
											}
										],
										"false": [
											"\t[商人,trader]你没有蓝钥匙！"
										]
									}
								]
							},
							{
								"text": "离开",
								"action": [
									{
										"type": "exit"
									}
								]
							}
						]
					}
				]
			}
		],
		"游戏说明": [
			{
				"type": "choices",
				"choices": [
					{
						"text": "游戏简介",
						"action": [
							"h5版本是按照flash版复刻，其中部分对话使用的魔塔盛宴的版本。",
							"地图复制：数码宝贝51、641\n部分事件复制：小艾\n默认背景音乐：无；可在切换音乐处设置\n游戏音乐、怪物显伤等开关可以在系统设置里打开和关闭",
							"想要获得更详细的介绍，可以在菜单——游戏信息——游戏主页中进入本塔的评论区，查看置顶评论。",
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "关于鸽窝",
						"action": [
							"鸽子窝游玩群：490588107 \n鸽窝小队成员：\n雨下倾听(阿狸)/草莓(琪露诺)/大化术士(神秘学者)\n鹿目凛(小圆)/帕秋莉·诺蕾姬(晓美焰)/地嗪(圣职者)\n魔塔新人(剑客)/炎心(猫猫)/小蜜蜂(本色出演)\nHFO4(皮卡丘)/冰棺(暂无形象)/夏目識(暂无形象)\n暴风雪(黑衣人)/si1verwind(暂无形象)",
							"鸽窝作品推荐：\n\r[#66FFCC]夜之国\r/\\d神圣智慧迷锁·地上篇\\d/\r[#39C5BB]魔法少女\n\r[#FF66CC]至仁至善至高至强的魔王\r/\r[gold]盆满钵满\r/\r[#00FF00]史上最强\r\n\r[#FF00FF]麻酱魔塔\r/\r[#00FFFF]宝石血瓶强化\r/\r[#FF4040]神鲁肃闯魔塔",
							"鸽窝新作预告：\n秽翼的尤斯蒂娅(主作者：雨下倾听)\n五行世界的劫难(主作者：草莓)\n孤独之塔(大化术士)\n首领突袭(小蜜蜂)",
							"LOGO设计：街雨(from 南港小镇)",
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "返回游戏",
						"action": []
					}
				]
			}
		],
		"对话": [
			{
				"type": "switch",
				"condition": "flag:arg1",
				"caseList": [
					{
						"case": "2",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'谢谢你救了我，为了感谢你的帮助请收下这些礼物。'"
							},
							{
								"type": "setValue",
								"name": "flag:对话2",
								"value": "1"
							}
						]
					},
					{
						"case": "3",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'我给你怪物手册(快捷键x) 它能预测出当前楼层各类怪物对你的伤害'"
							},
							{
								"type": "setValue",
								"name": "flag:对话3",
								"value": "1"
							}
						]
					},
					{
						"case": "4",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'你对话后没有神秘的能力'"
							},
							{
								"type": "setValue",
								"name": "flag:对话4",
								"value": "1"
							}
						]
					},
					{
						"case": "6",
						"action": [
							{
								"type": "if",
								"condition": "flag:arg4",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'魔塔共有50层，每10层为一个区域。如果不打败此区域的头目就不能到更高的地方。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话602",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'购买物品之后再与商人对话，他会告诉你一些重要的消息。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话6",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "7",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'你的攻击比敌人防御高时就能对他造成伤害 你防御比敌人攻击高或一样时就能无伤'"
							},
							{
								"type": "setValue",
								"name": "flag:对话7",
								"value": "1"
							}
						]
					},
					{
						"case": "12",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'本塔有很多暗墙 比如5 9 12 14 16 18层 你都找到了吗'"
							},
							{
								"type": "setValue",
								"name": "flag:对话12",
								"value": "1"
							}
						]
					},
					{
						"case": "15",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'十字架对不死族(丧尸,丧尸骑士和吸血鬼)是神器 它被藏在这之上的某层中'"
							},
							{
								"type": "setValue",
								"name": "flag:对话15",
								"value": "1"
							}
						]
					},
					{
						"case": "16",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'整个魔塔有2把藏在墙里的红钥匙'"
							},
							{
								"type": "setValue",
								"name": "flag:对话16",
								"value": "1"
							}
						]
					},
					{
						"case": "18",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'在这区域不多次提升攻击力 就不能打败石头人 切记前人教训'"
							},
							{
								"type": "setValue",
								"name": "flag:对话18",
								"value": "1"
							}
						]
					},
					{
						"case": "21",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'大法师住在25楼 他是魔塔的主人 以你现在的状态去攻击他简直就是自杀 你应当在取得更高级别的道具后再去打败他'"
							},
							{
								"type": "setValue",
								"name": "flag:对话21",
								"value": "1"
							}
						]
					},
					{
						"case": "23",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'我没有什么可说的，但有一个确切的消息藏在这个楼层'"
							},
							{
								"type": "setValue",
								"name": "flag:对话23",
								"value": "1"
							}
						]
					},
					{
						"case": "27",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'如果你没有使用过4层的祭坛 在12层供奉不超过4次 那么祝贺你 你的前期是比较成功的'"
							},
							{
								"type": "setValue",
								"name": "flag:对话27",
								"value": "1"
							}
						]
					},
					{
						"case": "31",
						"action": [
							{
								"type": "if",
								"condition": "flag:arg4",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'魔塔里有个幸运金币 拥有它在打败敌人后能获得2倍的金币'"
									},
									{
										"type": "setValue",
										"name": "flag:对话3102",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'双手剑士的攻击力太高了 你最好到能对他一击必杀时再与他战斗, 但是如果他主动攻击你, 你仍然会受到一次伤害'"
									},
									{
										"type": "setValue",
										"name": "flag:对话31",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "33",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'别匆忙, 放慢速度'"
							},
							{
								"type": "setValue",
								"name": "flag:对话33",
								"value": "1"
							}
						]
					},
					{
						"case": "36",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'如果你能利用好本层的4条密道，不用与强敌作战即可上楼'"
							},
							{
								"type": "setValue",
								"name": "flag:对话36",
								"value": "1"
							}
						]
					},
					{
						"case": "37",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'你需要用破墙镐或地震卷轴才能取走这里的宝物'"
							},
							{
								"type": "setValue",
								"name": "flag:对话37",
								"value": "1"
							}
						]
					},
					{
						"case": "38",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'有门卫的地方必然存在机关门 反之有机关门的楼层也必然存在守门的怪物 所以说...'"
							},
							{
								"type": "setValue",
								"name": "flag:对话38",
								"value": "1"
							}
						]
					},
					{
						"case": "39",
						"action": [
							{
								"type": "if",
								"condition": "flag:arg4",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'神圣剑有3种方法可以得到 不同的方法路线也会不同'"
									},
									{
										"type": "setValue",
										"name": "flag:对话3902",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'谜题 在3点 拥有传送功能的密宝 就会出现'"
									},
									{
										"type": "setValue",
										"name": "flag:对话39",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "42",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'巫师会用魔法攻击路过的人 在2个魔法警卫间通过会使你的生命减少一半'"
							},
							{
								"type": "setValue",
								"name": "flag:对话42",
								"value": "1"
							}
						]
					},
					{
						"case": "45",
						"action": [
							{
								"type": "if",
								"condition": "flag:arg4",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'神圣盾能防御魔法攻击 但它被藏在异空间的楼层内'"
									},
									{
										"type": "setValue",
										"name": "flag:对话45",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'44楼被藏在异空间 你只能用移动宝物才能到达'"
									},
									{
										"type": "setValue",
										"name": "flag:对话4502",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "46",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'41层其实是左右对称的 你应该能发现 打怪时如果不和怪物重叠 可以规避一些魔法攻击'"
							},
							{
								"type": "setValue",
								"name": "flag:对话46",
								"value": "1"
							}
						]
					},
					{
						"case": "47",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'如果要打败魔龙你需要 圣剑 圣盾 屠龙匕 或更高等级的装备'"
							},
							{
								"type": "setValue",
								"name": "flag:对话47",
								"value": "1"
							}
						]
					},
					{
						"case": "48",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'像骰子上5一样的形状是一种封印魔法 你最好记住 它在与魔王战斗时可能有用'"
							},
							{
								"type": "setValue",
								"name": "flag:对话48",
								"value": "1"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "if",
				"condition": "flag:arg4",
				"true": [
					"\t[商人,woman]${flag:content}"
				],
				"false": [
					"\t[老人,man]${flag:content}"
				]
			},
			{
				"type": "switch",
				"condition": "flag:arg1",
				"caseList": [
					{
						"case": "2",
						"action": [
							{
								"type": "playSound",
								"name": "item.mp3"
							},
							{
								"type": "addValue",
								"name": "status:money",
								"value": "1000"
							},
							{
								"type": "tip",
								"text": "获得1000金币"
							}
						]
					},
					{
						"case": "3",
						"action": [
							{
								"type": "addValue",
								"name": "item:book",
								"value": "1"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "setValue",
				"name": "flag:talking",
				"value": "flag:穿墙"
			},
			{
				"type": "hide",
				"loc": [
					"core.nextX()",
					"core.nextY()"
				],
				"remove": true,
				"time": 500
			}
		],
		"商人": [
			{
				"type": "switch",
				"condition": "parseInt(core.status.floorId.substring(2))",
				"caseList": [
					{
						"case": "6",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "50"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'一把蓝钥匙'"
							}
						]
					},
					{
						"case": "7",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "50"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'五把黄钥匙'"
							}
						]
					},
					{
						"case": "12",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "800"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "redKey"
							}
						]
					},
					{
						"case": "15",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "200"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'一把蓝钥匙'"
							}
						]
					},
					{
						"case": "31",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "1000"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'一把蓝钥匙, 四把黄钥匙'"
							}
						]
					},
					{
						"case": "38",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "200"
							},
							{
								"type": "setValue",
								"name": "flag:alt",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'大甩卖! 三把黄钥匙只要200金币, 先到先得!'"
							}
						]
					},
					{
						"case": "39",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "2000"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'三把蓝钥匙'"
							}
						]
					},
					{
						"case": "45",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "1000"
							},
							{
								"type": "setValue",
								"name": "flag:alt",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'你出1000金币, 我就帮你回复2000点生命值'"
							}
						]
					},
					{
						"case": "47",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "4000"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'地震卷轴'"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "choices",
				"text": "\t[商人,woman]\\c[20]${flag:money} \\i[rightPortal]\\i[${flag:item}]\\c",
				"choices": [
					{
						"text": "我太需要了",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=money)",
								"true": [
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "money"
									},
									{
										"type": "switch",
										"condition": "parseInt(core.status.floorId.substring(2))",
										"caseList": [
											{
												"case": "6",
												"action": [
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "7",
												"action": [
													{
														"type": "setValue",
														"name": "item:yellowKey",
														"operator": "+=",
														"value": "5"
													}
												]
											},
											{
												"case": "12",
												"action": [
													{
														"type": "setValue",
														"name": "item:redKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "15",
												"action": [
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "31",
												"action": [
													{
														"type": "setValue",
														"name": "item:yellowKey",
														"operator": "+=",
														"value": "4"
													},
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "38",
												"action": [
													{
														"type": "setValue",
														"name": "item:yellowKey",
														"operator": "+=",
														"value": "3"
													}
												]
											},
											{
												"case": "39",
												"action": [
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "3"
													}
												]
											},
											{
												"case": "45",
												"action": [
													{
														"type": "playSound",
														"name": "item.mp3"
													},
													{
														"type": "setValue",
														"name": "status:hp",
														"operator": "+=",
														"value": "2000"
													}
												]
											},
											{
												"case": "47",
												"action": [
													{
														"type": "setValue",
														"name": "item:earthquake",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "default",
												"action": []
											}
										]
									},
									{
										"type": "hide",
										"remove": true
									},
									{
										"type": "exit"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "金币不足，无法交易"
									}
								]
							}
						]
					},
					{
						"text": "下次再说",
						"action": [
							{
								"type": "exit"
							}
						]
					}
				]
			},
			{
				"type": "setValue",
				"name": "flag:alt",
				"value": "0"
			}
		],
		"商店": [
			{
				"type": "setValue",
				"name": "flag:商店连续加点",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "flag:商店准备连续加点",
				"value": "0"
			},
			{
				"type": "while",
				"condition": "true",
				"data": [
					{
						"type": "if",
						"condition": "(flag:times1===0)",
						"true": [
							{
								"type": "setValue",
								"name": "flag:times1",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:times2",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:times4",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:times5",
								"value": "1"
							}
						]
					},
					{
						"type": "comment",
						"text": "五福临门，六六大顺，夜之国"
					},
					{
						"type": "if",
						"condition": "(flag:wu>=1)",
						"true": [
							{
								"type": "setValue",
								"name": "flag:ratio",
								"value": "5"
							}
						]
					},
					{
						"type": "if",
						"condition": "((flag:liu>=1)&&(flag:wuSold>=1))",
						"true": [
							{
								"type": "setValue",
								"name": "flag:ratio",
								"value": "6"
							},
							{
								"type": "function",
								"function": "function(){\ncore.setFlag(\"times\", core.getFlag(\"times\" + core.status.thisMap.ratio, 1));\n}"
							}
						],
						"false": [
							{
								"type": "if",
								"condition": "(flag:reincarnation>=1)",
								"true": [
									{
										"type": "function",
										"function": "function(){\ncore.setFlag(\"times\", core.getFlag(\"times\" + core.status.thisMap.ratio, 1));\n}"
									}
								],
								"false": [
									{
										"type": "function",
										"function": "function(){\nflags.times = flags.times1 + flags.times2 + flags.times4 + flags.times5 - 3;\n}"
									}
								]
							}
						]
					},
					{
						"type": "setValue",
						"name": "flag:money1",
						"value": "20+10*flag:times*(flag:times-1)"
					},
					{
						"type": "if",
						"condition": "(flag:hex>=1)",
						"true": [
							{
								"type": "setValue",
								"name": "flag:商店生命",
								"value": "parseInt(100*flag:times,16)"
							},
							{
								"type": "setValue",
								"name": "flag:商店攻击",
								"value": "parseInt(2*flag:ratio,16)"
							},
							{
								"type": "setValue",
								"name": "flag:商店防御",
								"value": "parseInt(4*flag:ratio,16)"
							}
						],
						"false": [
							{
								"type": "setValue",
								"name": "flag:商店生命",
								"value": "100*flag:times"
							},
							{
								"type": "setValue",
								"name": "flag:商店攻击",
								"value": "2*flag:ratio"
							},
							{
								"type": "setValue",
								"name": "flag:商店防御",
								"value": "4*flag:ratio"
							}
						]
					},
					{
						"type": "if",
						"condition": "(flag:商店连续加点==1)",
						"true": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "sleep",
										"time": 10
									},
									{
										"type": "switch",
										"condition": "flag:商店加点内容",
										"caseList": [
											{
												"case": "1",
												"action": [
													{
														"type": "setValue",
														"name": "status:hp",
														"operator": "+=",
														"value": "flag:商店生命"
													}
												]
											},
											{
												"case": "2",
												"action": [
													{
														"type": "setValue",
														"name": "status:atk",
														"operator": "+=",
														"value": "flag:商店攻击"
													}
												]
											},
											{
												"case": "3",
												"action": [
													{
														"type": "setValue",
														"name": "status:def",
														"operator": "+=",
														"value": "flag:商店防御"
													}
												]
											}
										]
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "function",
										"function": "function(){\ncore.addFlag(\"times\" + core.status.thisMap.ratio, 1);\n}"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:商店连续加点",
										"value": "0"
									},
									{
										"type": "setValue",
										"name": "flag:商店准备连续加点",
										"value": "0"
									},
									{
										"type": "tip",
										"text": "金币不足，无法供奉"
									}
								]
							}
						],
						"false": [
							{
								"type": "choices",
								"text": "\t[祭坛,blueShop]\\c[20]$${flag:money1}：\\c\\c[17](第${flag:times}次)\\c",
								"choices": [
									{
										"text": "生命+${flag:商店生命}",
										"action": [
											{
												"type": "if",
												"condition": "(flag:商店准备连续加点==1)",
												"true": [
													{
														"type": "setValue",
														"name": "flag:商店连续加点",
														"value": "1"
													},
													{
														"type": "setValue",
														"name": "flag:商店加点内容",
														"value": "1"
													}
												],
												"false": [
													{
														"type": "if",
														"condition": "(status:money>=flag:money1)",
														"true": [
															{
																"type": "playSound",
																"name": "item.mp3"
															},
															{
																"type": "setValue",
																"name": "status:hp",
																"operator": "+=",
																"value": "flag:商店生命"
															},
															{
																"type": "setValue",
																"name": "status:money",
																"operator": "-=",
																"value": "flag:money1"
															},
															{
																"type": "function",
																"function": "function(){\ncore.addFlag(\"times\" + core.status.thisMap.ratio, 1);\n}"
															}
														],
														"false": [
															{
																"type": "tip",
																"text": "金币不足，无法供奉"
															}
														]
													}
												]
											}
										]
									},
									{
										"text": "攻击+${flag:商店攻击}",
										"action": [
											{
												"type": "if",
												"condition": "(flag:商店准备连续加点==1)",
												"true": [
													{
														"type": "setValue",
														"name": "flag:商店连续加点",
														"value": "1"
													},
													{
														"type": "setValue",
														"name": "flag:商店加点内容",
														"value": "2"
													}
												],
												"false": [
													{
														"type": "if",
														"condition": "(status:money>=flag:money1)",
														"true": [
															{
																"type": "playSound",
																"name": "item.mp3"
															},
															{
																"type": "setValue",
																"name": "status:atk",
																"operator": "+=",
																"value": "flag:商店攻击"
															},
															{
																"type": "setValue",
																"name": "status:money",
																"operator": "-=",
																"value": "flag:money1"
															},
															{
																"type": "function",
																"function": "function(){\ncore.addFlag(\"times\" + core.status.thisMap.ratio, 1);\n}"
															}
														],
														"false": [
															{
																"type": "tip",
																"text": "金币不足，无法供奉"
															}
														]
													}
												]
											}
										]
									},
									{
										"text": "防御+${flag:商店防御}",
										"action": [
											{
												"type": "if",
												"condition": "(flag:商店准备连续加点==1)",
												"true": [
													{
														"type": "setValue",
														"name": "flag:商店连续加点",
														"value": "1"
													},
													{
														"type": "setValue",
														"name": "flag:商店加点内容",
														"value": "3"
													}
												],
												"false": [
													{
														"type": "if",
														"condition": "(status:money>=flag:money1)",
														"true": [
															{
																"type": "playSound",
																"name": "item.mp3"
															},
															{
																"type": "setValue",
																"name": "status:def",
																"operator": "+=",
																"value": "flag:商店防御"
															},
															{
																"type": "setValue",
																"name": "status:money",
																"operator": "-=",
																"value": "flag:money1"
															},
															{
																"type": "function",
																"function": "function(){\ncore.addFlag(\"times\" + core.status.thisMap.ratio, 1);\n}"
															}
														],
														"false": [
															{
																"type": "tip",
																"text": "金币不足，无法供奉"
															}
														]
													}
												]
											}
										]
									},
									{
										"text": "连续购买",
										"condition": "flag:商店准备连续加点==0",
										"action": [
											{
												"type": "tip",
												"text": "请再次点击想要购买的选项（将连续购买直到金币不足为止）"
											},
											{
												"type": "setValue",
												"name": "flag:商店准备连续加点",
												"value": "1"
											}
										]
									},
									{
										"text": "离开",
										"action": [
											{
												"type": "break",
												"n": 1
											}
										]
									}
								]
							}
						]
					}
				]
			}
		],
		"记事本": [
			{
				"type": "comment",
				"text": "已废弃"
			},
			"欢迎使用事件编辑器(双击方块可直接预览)",
			{
				"type": "function",
				"function": "function(){\nfor (var i = 1; i <= 5; i++) {\n\tcore.setFlag(\"mod\" + i + \"name\", \"--\");\n\tcore.setFlag(\"mod\" + i, -1);\n}\nvar mods = flags.mods;\nfor (const modId in mods) {\n\tif (mods.hasOwnProperty(modId)) {\n\t\tconst mod = mods[modId];\n\t\tfor (var i = 1; i <= 5; i++) {\n\t\t\tif (core.getFlag(mod.id, 0) == i) {\n\t\t\t\t//如果mod有充能属性，要把当前充能和最大充能显示出来\n\t\t\t\tif (mod.maxCharge) {\n\t\t\t\t\tcore.setFlag(\"mod\" + i + \"name\", mod.name + \"(\" + mod.charge + \"/\" + mod.maxCharge + \")\");\n\t\t\t\t} else {\n\t\t\t\t\tcore.setFlag(\"mod\" + i + \"name\", mod.name);\n\t\t\t\t}\n\t\t\t\tcore.setFlag(\"mod\" + i, mod.id);\n\t\t\t}\n\t\t}\n\t}\n}\n}"
			},
			{
				"type": "choices",
				"text": "\\c[18]点击以使用小丑牌(临时UI)",
				"choices": [
					{
						"text": "${flag:mod1name}",
						"action": [
							{
								"type": "setValue",
								"name": "flag:todo",
								"value": "flag:mod1"
							}
						]
					},
					{
						"text": "${flag:mod2name}",
						"action": [
							{
								"type": "setValue",
								"name": "flag:todo",
								"value": "flag:mod2"
							}
						]
					},
					{
						"text": "${flag:mod3name}",
						"action": [
							{
								"type": "setValue",
								"name": "flag:todo",
								"value": "flag:mod3"
							}
						]
					},
					{
						"text": "${flag:mod4name}",
						"action": [
							{
								"type": "setValue",
								"name": "flag:todo",
								"value": "flag:mod4"
							}
						]
					},
					{
						"text": "${flag:mod5name}",
						"action": [
							{
								"type": "setValue",
								"name": "flag:todo",
								"value": "flag:mod5"
							}
						]
					},
					{
						"text": "取消",
						"action": [
							{
								"type": "exit"
							}
						]
					}
				]
			},
			{
				"type": "comment",
				"text": "暂时把所有主动技的实现放在这"
			},
			{
				"type": "function",
				"function": "function(){\nif (flags.todo == -1) return;\nvar todo = flags.todo;\nif (!flags.mods[todo].active) {\n\tcore.drawTip(\"该小丑牌不可主动使用\");\n\treturn;\n}\nif (todo == \"tuila\") {\n\t// 推拉：如果前面是怪且再前面是空地，推；如果后面是怪且{前面是空地或满足推的条件}，拉；二者满足其一即使用，使用后降低充能\n\tif (flags.mods.tuila.charge >= 1) {\n\t\tvar tuilacnt = 0;\n\t\tif (core.getBlock(core.nextX(2), core.nextY(2)) == null && core.getBlockCls(core.nextX(), core.nextY()) == \"enemys\") {\n\t\t\ttuilacnt++;\n\t\t\tcore.moveBlock(core.nextX(), core.nextY(), [core.getHeroLoc(\"direction\")], 100, true);\n\t\t}\n\n\t\tif ((core.getBlock(core.nextX(), core.nextY()) == null || tuilacnt == 1) && core.getBlockCls(core.nextX(-1), core.nextY(-1)) == \"enemys\") {\n\t\t\ttuilacnt++;\n\t\t\tcore.moveBlock(core.nextX(-1), core.nextY(-1), [core.getHeroLoc(\"direction\")], 100, true);\n\t\t}\n\t\tif (tuilacnt >= 1) {\n\t\t\tflags.mods.tuila.charge--;\n\t\t\tcore.playSound(\"door.mp3\");\n\t\t\tcore.insertAction([\n\t\t\t\t{ \"type\": \"moveAction\" },\n\t\t\t]);\n\t\t}\n\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n\n} else if (todo == \"xuanguaisuiji\") {\n\t// 选怪随机：弹出选怪界面，按空地取消，使用后降低充能\n\tif (flags.mods.xuanguaisuiji.charge >= 1) {\n\t\tcore.insertCommonEvent(\"选怪随机\");\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n\n} else if (todo == \"pao\") {\n\t// 炮：满足条件直接打，使用后降低充能\n\tvar OK = false;\n\tvar battled = false;\n\tfor (var i = 1; i <= 13; i++) {\n\t\tif (OK == false) {\n\t\t\tif (core.getBlockId(core.nextX(i), core.nextY(i)) != null) OK = true;\n\t\t} else {\n\t\t\tif (core.getBlockCls(core.nextX(i), core.nextY(i)) == \"enemys\") {\n\t\t\t\tif (core.canBattle(core.getBlockId(core.nextX(i), core.nextY(i)), core.nextX(i), core.nextY(i))) {\n\t\t\t\t\tcore.battle(core.getBlockId(core.nextX(i), core.nextY(i)), core.nextX(i), core.nextY(i), true);\n\t\t\t\t\tcore.insertAction([{ \"type\": \"jumpHero\", \"loc\": [core.nextX(i), core.nextY(i)], \"time\": 1 }, ]);\n\t\t\t\t\tbattled = true;\n\t\t\t\t\tvar keyCount = 0;\n\t\t\t\t\tfor (var i = 1; i <= 11; i++) {\n\t\t\t\t\t\tfor (var j = 1; j <= 11; j++) {\n\t\t\t\t\t\t\tif (core.getBlockId(i, j) == \"yellowKey\") {\n\t\t\t\t\t\t\t\tkeyCount++;\n\t\t\t\t\t\t\t\tcore.setBlock(0, i, j);\n\t\t\t\t\t\t\t}\n\t\t\t\t\t\t}\n\t\t\t\t\t}\n\t\t\t\t\tcore.status.hero.money += 50 * keyCount;\n\t\t\t\t}\n\t\t\t\tbreak;\n\t\t\t}\n\t\t}\n\t}\n\tif (battled == false) {\n\t\tcore.drawTip(\"无法开炮或打不过\");\n\t}\n\n} else if (todo == \"renyimen\") {\n\t// 任意门：前面是墙直接用，使用后降低充能\n\tif (flags.mods.renyimen.charge >= 1) {\n\t\tif (core.nextX() <= 11 && core.nextX() >= 1 && core.nextY() <= 11 && core.nextY() >= 1) {\n\t\t\tif (core.getBlockId(core.nextX(), core.nextY()) == \"yellowWall\") {\n\t\t\t\tflags.mods.renyimen.charge--;\n\t\t\t\tcore.playSound(\"door.mp3\");\n\t\t\t\tcore.setBlock(81, core.nextX(), core.nextY());\n\t\t\t}\n\t\t}\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n\n\n\n} else if (todo == \"renyibing\") {\n\t// 任意兵：前面是墙直接用，使用后降低充能\n\tif (core.nextX() <= 11 && core.nextX() >= 1 && core.nextY() <= 11 && core.nextY() >= 1) {\n\t\tif (core.getBlockId(core.nextX(), core.nextY()) == \"yellowWall\") {\n\t\t\tif (flags.mods.renyibing.charge >= 1) {\n\t\t\t\tflags.mods.renyibing.charge--;\n\t\t\t\tcore.playSound(\"door.mp3\");\n\t\t\t\tvar bing;\n\t\t\t\tswitch (core.status.thisMap.ratio) {\n\t\t\t\tcase 1:\n\t\t\t\t\tbing = \"yellowGuard\";\n\t\t\t\t\tbreak;\n\t\t\t\tcase 2:\n\t\t\t\t\tbing = \"rock\";\n\t\t\t\t\tbreak;\n\t\t\t\tcase 3:\n\t\t\t\t\tbing = \"blackMagician\";\n\t\t\t\t\tbreak;\n\t\t\t\tcase 4:\n\t\t\t\t\tbing = \"blueGuard\";\n\t\t\t\t\tbreak;\n\t\t\t\tcase 5:\n\t\t\t\t\tbing = \"redGuard\";\n\t\t\t\t\tbreak;\n\t\t\t\t}\n\t\t\t\tcore.setBlock(core.getNumberById(bing), core.nextX(), core.nextY());\n\t\t\t} else {\n\t\t\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t\t\t}\n\t\t}\n\t}\n\n} else if (todo == \"yanmie\") {\n\t// 破灭卷轴：使用后降低充能\n\tif (flags.mods.yanmie.charge >= 1) {\n\t\tflags.mods.yanmie.charge--;\n\t\tcore.playSound(\"door.mp3\");\n\t\tfor (var i = -3 + core.status.hero.loc.x; i <= 3 + core.status.hero.loc.x; i++) {\n\t\t\tfor (var j = -3 + core.status.hero.loc.y; j <= 3 + core.status.hero.loc.y; j++) {\n\t\t\t\tcore.setBlock(0, i, j);\n\t\t\t}\n\t\t}\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n} else if (todo == \"fangjia\") {\n\t// 放假：使用后降低充能\n\tif (flags.mods.fangjia.charge >= 1) {\n\t\tflags.mods.fangjia.charge--;\n\t\tcore.playSound(\"bomb.mp3\");\n\t\tfor (var i = 1; i <= 11; i++) {\n\t\t\tfor (var j = 1; j <= 11; j++) {\n\t\t\t\tif (core.getBlockCls(i, j) == \"enemys\" && !core.material.enemys[core.getBlockId(i, j)].notBomb) {\n\t\t\t\t\tcore.setBlock(0, i, j);\n\t\t\t\t} else if (core.getBlockId(i, j) == \"steelDoor\" || core.getBlockId(i, j) == \"specialDoor\") {\n\t\t\t\t\tcore.setBlock(82, i, j);\n\t\t\t\t}\n\t\t\t}\n\t\t}\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n} else if (todo == \"ma\") {\n\t//马：破坏八个墙，然后直接弹出界面\n\tif (flags.mods.ma.charge >= 1) {\n\t\tcore.insertCommonEvent(\"马\");\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n\n} else if (todo == \"tamo\") {\n\t//神鲁肃，直接弹出界面\n\tcore.insertCommonEvent(\"榻谟\");\n\n} else if (todo == \"same1\") {\n\t//我们都一样（换怪物），直接弹出界面\n\tif (flags.mods.same1.charge >= 1) {\n\t\tcore.insertCommonEvent(\"我们都一样\");\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n\n} else if (todo == \"same2\") {\n\t//它们都一样（换宝物），直接弹出界面\n\tif (flags.mods.same2.charge >= 1) {\n\t\tcore.insertCommonEvent(\"它们都一样\");\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n\n} else if (todo == \"sunquan\") {\n\t//会玩权：如果已在该技能状态则取消技能，否则开技能\n\tif (core.getFlag(\"skill\", 0) == 2) {\n\t\tflags.mods.sunquan.charge++;\n\t\tcore.setFlag('skill', 0);\n\t\tcore.setFlag('skillName', \"无\");\n\t\tif (core.rand2(2) == 1) {\n\t\t\tcore.drawTip(\"且慢！(技能已取消)\");\n\t\t} else {\n\t\t\tcore.drawTip(\"容我三思~ (技能已取消)\");\n\t\t}\n\t} else {\n\t\tif (flags.mods.sunquan.charge >= 1) {\n\t\t\tflags.mods.sunquan.charge--;\n\t\t\tvar skillValue = 2; // 技能的变量：skill值，可用于当前开启技能的判定；对于新技能可以依次改成2，3等等\n\t\t\tvar skillName = '会玩权'; // 技能的名称\n\t\t\tif (core.rand2(2) == 1) {\n\t\t\t\tcore.playSound(\"zhiheng1.mp3\");\n\t\t\t} else {\n\t\t\t\tcore.playSound(\"zhiheng2.mp3\");\n\t\t\t}\n\t\t\tcore.setFlag('skill', skillValue); // 开技能1\n\t\t\tcore.setFlag('skillName', skillName); // 设置技能名\n\t\t} else {\n\t\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t\t}\n\t}\n} else if (todo == \"flipcoin\") {\n\t//许愿金币（充能模式）\n\tcore.insertCommonEvent(\"flipcoin\");\n\n} else if (todo == \"aleajactaest\") {\n\t//Alea jacta est\n\t//todo:固定所有小丑牌且不允许再获得小丑牌\n\tcore.setFlag(\"aleajactaest_used\", 1);\n}\n}"
			},
			{
				"type": "update"
			},
			{
				"type": "waitAsync"
			}
		],
		"买mod": [
			{
				"type": "function",
				"function": "function(){\nvar i = flags.traderId;\n\ncore.setFlag(\"tradername1\", flags.traders[i].sells[0].name + \"($\" + flags.traders[i].price1 + \")\");\ncore.setFlag(\"tradername2\", flags.traders[i].sells[1].name + \"($\" + flags.traders[i].price2 + \")\");\ncore.setFlag(\"traderrarity1\", flags.traders[i].sells[0].rarity);\ncore.setFlag(\"traderrarity2\", flags.traders[i].sells[1].rarity);\ncore.setFlag(\"tradername3\", flags.traders[i].pack1 + \"($\" + flags.traders[i].price3 + \")\");\ncore.setFlag(\"tradername4\", flags.traders[i].pack2 + \"($\" + flags.traders[i].price4 + \")\");\n}"
			},
			{
				"type": "while",
				"condition": "1",
				"data": [
					{
						"type": "setValue",
						"name": "flag:choice",
						"value": "0"
					},
					{
						"type": "choices",
						"text": "\t[小丑牌商人,trader]来变强吧！",
						"choices": [
							{
								"text": "${flag:tradername1}",
								"condition": "flags[\"trader\"+flags.traderId+\"soldout1\"]!=1&&flags.traderrarity1==1",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "1"
									}
								]
							},
							{
								"text": "\r[rgb(45,255,125)]${flag:tradername1}",
								"condition": "flags[\"trader\"+flags.traderId+\"soldout1\"]!=1&&flags.traderrarity1==2",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "1"
									}
								]
							},
							{
								"text": "\r[rgb(255,85,85)]${flag:tradername1}",
								"condition": "flags[\"trader\"+flags.traderId+\"soldout1\"]!=1&&flags.traderrarity1==3",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "1"
									}
								]
							},
							{
								"text": "${flag:tradername2}",
								"condition": "flags[\"trader\"+flags.traderId+\"soldout2\"]!=1&&flags.traderrarity2==1",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "2"
									}
								]
							},
							{
								"text": "\r[rgb(45,255,125)]${flag:tradername2}",
								"condition": "flags[\"trader\"+flags.traderId+\"soldout2\"]!=1&&flags.traderrarity2==2",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "2"
									}
								]
							},
							{
								"text": "\r[rgb(255,85,85)]${flag:tradername2}",
								"condition": "flags[\"trader\"+flags.traderId+\"soldout2\"]!=1&&flags.traderrarity2==3",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "2"
									}
								]
							},
							{
								"text": "${flag:tradername3}",
								"condition": "flags[\"trader\"+flags.traderId+\"soldout3\"]!=1",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "3"
									}
								]
							},
							{
								"text": "${flag:tradername4}",
								"condition": "flags[\"trader\"+flags.traderId+\"soldout4\"]!=1",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "4"
									}
								]
							},
							{
								"text": "卖的什么垃圾，打！",
								"condition": "core.getFlag(\"dabodegao\",0)>=1&&flags[\"trader\"+flags.traderId+\"soldout1\"]!=1&&flags[\"trader\"+flags.traderId+\"soldout2\"]!=1&&flags[\"trader\"+flags.traderId+\"soldout3\"]!=1&&flags[\"trader\"+flags.traderId+\"soldout4\"]!=1",
								"action": [
									{
										"type": "playSound",
										"name": "attack.mp3"
									},
									{
										"type": "function",
										"function": "function(){\ncore.drawImage(\"animate\", core.statusBar.icons.battle, 0, 0, 32, 32, (core.nextX() - 1) * 32, (core.nextY() - 1) * 32, 32, 32);\nsetTimeout(function () {\n\tcore.clearMap(\"animate\", (core.nextX() - 1) * 32, (core.nextY() - 1) * 32, 32, 32);\n}, 100);\n}"
									},
									{
										"type": "setValue",
										"name": "item:pickaxe",
										"operator": "+=",
										"value": "2"
									},
									{
										"type": "hide",
										"remove": true,
										"time": 0
									},
									{
										"type": "exit"
									}
								]
							},
							{
								"text": "下次再说",
								"action": [
									{
										"type": "exit"
									}
								]
							}
						]
					},
					{
						"type": "setValue",
						"name": "flag:buyingpack",
						"value": "0"
					},
					{
						"type": "switch",
						"condition": "flag:choice",
						"caseList": [
							{
								"case": "1",
								"action": [
									{
										"type": "setValue",
										"name": "flag:tobuy",
										"value": "flags.traders[flags.traderId].sells[0]"
									},
									{
										"type": "choices",
										"text": "\t[小丑牌商人,trader]${flags.tobuy.name}：\n${flags.tobuy.description}\n\n版本：${flags.buffsCH[flags.tobuy.buff]}\n贴纸：${!(flags.tobuy.eternal||flags.tobuy.perishable||flags.tobuy.rental)?\"无\":\"\"}\r[rgb(255,85,85)]${flags.tobuy.eternal?\"永恒  \":\"\"}\r\r[rgb(136,136,255)]${flags.tobuy.perishable?\"易腐  \":\"\"}\r\r[gold]${flags.tobuy.rental?\"租赁\":\"\"}\r",
										"choices": [
											{
												"text": "我太需要了($${flags.traders[flags.traderId].price1})",
												"action": [
													{
														"type": "if",
														"condition": "(status:money>=flags.traders[flags.traderId].price1)",
														"true": [
															{
																"type": "if",
																"condition": "(core.getFlag(flags.traders[flags.traderId].sells[0].id,0)===0)",
																"true": [
																	{
																		"type": "if",
																		"condition": "(flag:mymodCount<5)",
																		"true": [
																			{
																				"type": "playSound",
																				"name": "item.mp3"
																			},
																			{
																				"type": "setValue",
																				"name": "status:money",
																				"operator": "-=",
																				"value": "flags.traders[flags.traderId].price1"
																			},
																			{
																				"type": "function",
																				"function": "function(){\nflags[\"trader\" + flags.traderId + \"soldout1\"] = 1;\n}"
																			},
																			{
																				"type": "function",
																				"function": "function(){\nflags.mymodCount++;\n//同名变量操作\ncore.setFlag(flags.tobuy.id, flags.mymodCount);\n//对象操作\nflags.nowmods[flags.mymodCount] = flags.tobuy;\n//price变为售出价\nflags.nowmods[flags.mymodCount].price = Math.floor(flags.nowmods[flags.mymodCount].price / 2);\ncore.updateStatusBar();\n}"
																			}
																		],
																		"false": [
																			{
																				"type": "tip",
																				"text": "小丑牌槽位已满！"
																			}
																		]
																	}
																],
																"false": [
																	{
																		"type": "tip",
																		"text": "你已经有这张小丑牌了！"
																	}
																]
															}
														],
														"false": [
															{
																"type": "tip",
																"text": "金币不足，无法购买"
															}
														]
													}
												]
											},
											{
												"text": "下次再说",
												"action": []
											}
										]
									}
								]
							},
							{
								"case": "2",
								"action": [
									{
										"type": "setValue",
										"name": "flag:tobuy",
										"value": "flags.traders[flags.traderId].sells[1]"
									},
									{
										"type": "choices",
										"text": "\t[小丑牌商人,trader]${flags.tobuy.name}：\n${flags.tobuy.description}\n\n版本：${flags.buffsCH[flags.tobuy.buff]}\n贴纸：${!(flags.tobuy.eternal||flags.tobuy.perishable||flags.tobuy.rental)?\"无\":\"\"}\r[rgb(255,85,85)]${flags.tobuy.eternal?\"永恒  \":\"\"}\r\r[rgb(136,136,255)]${flags.tobuy.perishable?\"易腐  \":\"\"}\r\r[gold]${flags.tobuy.rental?\"租赁\":\"\"}\r",
										"choices": [
											{
												"text": "我太需要了($${flags.traders[flags.traderId].price2})",
												"action": [
													{
														"type": "if",
														"condition": "(status:money>=flags.traders[flags.traderId].price2)",
														"true": [
															{
																"type": "if",
																"condition": "(core.getFlag(flags.traders[flags.traderId].sells[1].id,0)===0)",
																"true": [
																	{
																		"type": "if",
																		"condition": "(flag:mymodCount<5)",
																		"true": [
																			{
																				"type": "playSound",
																				"name": "item.mp3"
																			},
																			{
																				"type": "setValue",
																				"name": "status:money",
																				"operator": "-=",
																				"value": "flags.traders[flags.traderId].price2"
																			},
																			{
																				"type": "function",
																				"function": "function(){\nflags[\"trader\" + flags.traderId + \"soldout2\"] = 1;\n}"
																			},
																			{
																				"type": "function",
																				"function": "function(){\nflags.mymodCount++;\n//同名变量操作\ncore.setFlag(flags.tobuy.id, flags.mymodCount);\n//对象操作\nflags.nowmods[flags.mymodCount] = flags.tobuy;\n//price变为售出价\nflags.nowmods[flags.mymodCount].price = Math.floor(flags.nowmods[flags.mymodCount].price / 2);\ncore.updateStatusBar();\n}"
																			}
																		],
																		"false": [
																			{
																				"type": "tip",
																				"text": "小丑牌槽位已满！"
																			}
																		]
																	}
																],
																"false": [
																	{
																		"type": "tip",
																		"text": "你已经有这张小丑牌了！"
																	}
																]
															}
														],
														"false": [
															{
																"type": "tip",
																"text": "金币不足，无法购买"
															}
														]
													}
												]
											},
											{
												"text": "下次再说",
												"action": []
											}
										]
									}
								]
							},
							{
								"case": "3",
								"action": [
									{
										"type": "if",
										"condition": "(status:money>=flags.traders[flags.traderId].price3)",
										"true": [
											{
												"type": "playSound",
												"name": "door.mp3"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "-=",
												"value": "flags.traders[flags.traderId].price3"
											},
											{
												"type": "setValue",
												"name": "flag:buyingpack",
												"value": "1"
											},
											{
												"type": "function",
												"function": "function(){\nflags[\"trader\" + flags.traderId + \"soldout3\"] = 1;\n}"
											}
										],
										"false": [
											{
												"type": "tip",
												"text": "金币不足，无法购买"
											}
										]
									}
								]
							},
							{
								"case": "4",
								"action": [
									{
										"type": "if",
										"condition": "(status:money>=flags.traders[flags.traderId].price4)",
										"true": [
											{
												"type": "playSound",
												"name": "door.mp3"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "-=",
												"value": "flags.traders[flags.traderId].price4"
											},
											{
												"type": "setValue",
												"name": "flag:buyingpack",
												"value": "2"
											},
											{
												"type": "function",
												"function": "function(){\nflags[\"trader\" + flags.traderId + \"soldout4\"] = 1;\n}"
											}
										],
										"false": [
											{
												"type": "tip",
												"text": "金币不足，无法购买"
											}
										]
									}
								]
							},
							{
								"case": "default",
								"action": [
									{
										"type": "comment",
										"text": "当没有符合的值的场合执行default事件"
									}
								]
							}
						]
					},
					{
						"type": "if",
						"condition": "(flag:buyingpack>=1)",
						"true": [
							{
								"type": "function",
								"function": "function(){\nvar i = flags.traderId;\n\nif (flags.buyingpack == 1) {\n\tcore.setFlag(\"packname1\", flags.traders[i].sells[2].name);\n\tcore.setFlag(\"packname2\", flags.traders[i].sells[3].name);\n\tcore.setFlag(\"packname3\", flags.traders[i].sells[4].name);\n\tcore.setFlag(\"packname4\", flags.traders[i].sells[5].name);\n\tcore.setFlag(\"packrarity1\", flags.traders[i].sells[2].rarity);\n\tcore.setFlag(\"packrarity2\", flags.traders[i].sells[3].rarity);\n\tcore.setFlag(\"packrarity3\", flags.traders[i].sells[4].rarity);\n\tcore.setFlag(\"packrarity4\", flags.traders[i].sells[5].rarity);\n\tcore.setFlag(\"packtype\", flags.traders[i].pack1);\n} else if (flags.buyingpack == 2) {\n\tcore.setFlag(\"packname1\", flags.traders[i].sells[6].name);\n\tcore.setFlag(\"packname2\", flags.traders[i].sells[7].name);\n\tcore.setFlag(\"packname3\", flags.traders[i].sells[8].name);\n\tcore.setFlag(\"packname4\", flags.traders[i].sells[9].name);\n\tcore.setFlag(\"packrarity1\", flags.traders[i].sells[6].rarity);\n\tcore.setFlag(\"packrarity2\", flags.traders[i].sells[7].rarity);\n\tcore.setFlag(\"packrarity3\", flags.traders[i].sells[8].rarity);\n\tcore.setFlag(\"packrarity4\", flags.traders[i].sells[9].rarity);\n\tcore.setFlag(\"packtype\", flags.traders[i].pack2);\n}\nif (flags.packtype == \"小丑包\") core.setFlag(\"packDescription\", \"2选1！\");\nelse if (flags.packtype == \"巨型小丑包\") core.setFlag(\"packDescription\", \"4选1！\");\nelse if (flags.packtype == \"超级小丑包\") core.setFlag(\"packDescription\", \"4选2！\");\n}"
							},
							{
								"type": "if",
								"condition": "(flag:packtype==\"超级小丑包\")",
								"true": [
									{
										"type": "setValue",
										"name": "temp:A",
										"value": "2"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "temp:A",
										"value": "1"
									}
								]
							},
							{
								"type": "while",
								"condition": "1",
								"data": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "0"
									},
									{
										"type": "choices",
										"text": "\t[小丑牌商人,trader]${flag:packDescription}",
										"choices": [
											{
												"text": "${flag:packname1}",
												"condition": "flags[\"pack\"+flags.traderId+flags.buyingpack+\"soldout1\"]!=1&&flags.packrarity1==1",
												"action": [
													{
														"type": "setValue",
														"name": "flag:choice",
														"value": "1"
													}
												]
											},
											{
												"text": "\r[rgb(45,255,125)]${flag:packname1}",
												"condition": "flags[\"pack\"+flags.traderId+flags.buyingpack+\"soldout1\"]!=1&&flags.packrarity1==2",
												"action": [
													{
														"type": "setValue",
														"name": "flag:choice",
														"value": "1"
													}
												]
											},
											{
												"text": "\r[rgb(255,85,85)]${flag:packname1}",
												"condition": "flags[\"pack\"+flags.traderId+flags.buyingpack+\"soldout1\"]!=1&&flags.packrarity1==3",
												"action": [
													{
														"type": "setValue",
														"name": "flag:choice",
														"value": "1"
													}
												]
											},
											{
												"text": "${flag:packname2}",
												"condition": "flags[\"pack\"+flags.traderId+flags.buyingpack+\"soldout2\"]!=1&&flags.packrarity2==1",
												"action": [
													{
														"type": "setValue",
														"name": "flag:choice",
														"value": "2"
													}
												]
											},
											{
												"text": "\r[rgb(45,255,125)]${flag:packname2}",
												"condition": "flags[\"pack\"+flags.traderId+flags.buyingpack+\"soldout2\"]!=1&&flags.packrarity2==2",
												"action": [
													{
														"type": "setValue",
														"name": "flag:choice",
														"value": "2"
													}
												]
											},
											{
												"text": "\r[rgb(255,85,85)]${flag:packname2}",
												"condition": "flags[\"pack\"+flags.traderId+flags.buyingpack+\"soldout2\"]!=1&&flags.packrarity2==3",
												"action": [
													{
														"type": "setValue",
														"name": "flag:choice",
														"value": "2"
													}
												]
											},
											{
												"text": "${flag:packname3}",
												"condition": "flags[\"pack\"+flags.traderId+flags.buyingpack+\"soldout3\"]!=1&&flags.packrarity3==1&&flags.packtype!=\"小丑包\"",
												"action": [
													{
														"type": "setValue",
														"name": "flag:choice",
														"value": "3"
													}
												]
											},
											{
												"text": "\r[rgb(45,255,125)]${flag:packname3}",
												"condition": "flags[\"pack\"+flags.traderId+flags.buyingpack+\"soldout3\"]!=1&&flags.packrarity3==2&&flags.packtype!=\"小丑包\"",
												"action": [
													{
														"type": "setValue",
														"name": "flag:choice",
														"value": "3"
													}
												]
											},
											{
												"text": "\r[rgb(255,85,85)]${flag:packname3}",
												"condition": "flags[\"pack\"+flags.traderId+flags.buyingpack+\"soldout3\"]!=1&&flags.packrarity3==3&&flags.packtype!=\"小丑包\"",
												"action": [
													{
														"type": "setValue",
														"name": "flag:choice",
														"value": "3"
													}
												]
											},
											{
												"text": "${flag:packname4}",
												"condition": "flags[\"pack\"+flags.traderId+flags.buyingpack+\"soldout4\"]!=1&&flags.packrarity4==1&&flags.packtype!=\"小丑包\"",
												"action": [
													{
														"type": "setValue",
														"name": "flag:choice",
														"value": "4"
													}
												]
											},
											{
												"text": "\r[rgb(45,255,125)]${flag:packname4}",
												"condition": "flags[\"pack\"+flags.traderId+flags.buyingpack+\"soldout4\"]!=1&&flags.packrarity4==2&&flags.packtype!=\"小丑包\"",
												"action": [
													{
														"type": "setValue",
														"name": "flag:choice",
														"value": "4"
													}
												]
											},
											{
												"text": "\r[rgb(255,85,85)]${flag:packname4}",
												"condition": "flags[\"pack\"+flags.traderId+flags.buyingpack+\"soldout4\"]!=1&&flags.packrarity4==3&&flags.packtype!=\"小丑包\"",
												"action": [
													{
														"type": "setValue",
														"name": "flag:choice",
														"value": "4"
													}
												]
											},
											{
												"text": "选完了",
												"action": [
													{
														"type": "break",
														"n": 1
													}
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "(flag:choice>=1)",
										"true": [
											{
												"type": "setValue",
												"name": "flag:tobuy",
												"value": "flags.traders[flags.traderId].sells[-3+4*flags.buyingpack+flags.choice]"
											},
											{
												"type": "choices",
												"text": "\t[小丑牌商人,trader]${flags.tobuy.name}：\n${flags.tobuy.description}\n\n版本：${flags.buffsCH[flags.tobuy.buff]}\n贴纸：${!(flags.tobuy.eternal||flags.tobuy.perishable||flags.tobuy.rental)?\"无\":\"\"}\r[rgb(255,85,85)]${flags.tobuy.eternal?\"永恒  \":\"\"}\r\r[rgb(136,136,255)]${flags.tobuy.perishable?\"易腐  \":\"\"}\r\r[gold]${flags.tobuy.rental?\"租赁\":\"\"}\r",
												"choices": [
													{
														"text": "我太需要了",
														"action": [
															{
																"type": "if",
																"condition": "(core.getFlag(flags.traders[flags.traderId].sells[-3+4*flags.buyingpack+flags.choice].id,0)===0)",
																"true": [
																	{
																		"type": "if",
																		"condition": "(flag:mymodCount<5)",
																		"true": [
																			{
																				"type": "setValue",
																				"name": "temp:A",
																				"operator": "-=",
																				"value": "1"
																			},
																			{
																				"type": "playSound",
																				"name": "item.mp3"
																			},
																			{
																				"type": "function",
																				"function": "function(){\nflags[\"pack\" + flags.traderId + flags.buyingpack + \"soldout\" + flags.choice] = 1;\n}"
																			},
																			{
																				"type": "function",
																				"function": "function(){\nflags.mymodCount++;\n//同名变量操作\ncore.setFlag(flags.tobuy.id, flags.mymodCount);\n//对象操作\nflags.nowmods[flags.mymodCount] = flags.tobuy;\n//price变为售出价\nflags.nowmods[flags.mymodCount].price = Math.floor(flags.nowmods[flags.mymodCount].price / 2);\ncore.updateStatusBar();\n}"
																			}
																		],
																		"false": [
																			{
																				"type": "tip",
																				"text": "小丑牌槽位已满！"
																			}
																		]
																	}
																],
																"false": [
																	{
																		"type": "tip",
																		"text": "你已经有这张小丑牌了！"
																	}
																]
															}
														]
													},
													{
														"text": "换一个",
														"action": []
													}
												]
											},
											{
												"type": "if",
												"condition": "(temp:A<=0)",
												"true": [
													{
														"type": "break",
														"n": 1
													}
												]
											}
										]
									}
								]
							}
						]
					}
				]
			}
		],
		"返回商人价格": [
			{
				"type": "switch",
				"condition": "parseInt(core.status.floorId.substring(2))",
				"caseList": [
					{
						"case": "6",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "50"
							}
						]
					},
					{
						"case": "7",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "50"
							}
						]
					},
					{
						"case": "12",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "800"
							}
						]
					},
					{
						"case": "15",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "200"
							}
						]
					},
					{
						"case": "31",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "1000"
							}
						]
					},
					{
						"case": "38",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "200"
							}
						]
					},
					{
						"case": "39",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "2000"
							}
						]
					},
					{
						"case": "45",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "1000"
							}
						]
					},
					{
						"case": "47",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "4000"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			}
		],
		"选怪随机": [
			{
				"type": "function",
				"function": "function(){\ncore.createCanvas('xuanguaisuiji', 0, 0, 384, 384, 1000);\nfor (var i = 1; i <= 11; i++) {\n\tfor (var j = 1; j <= 11; j++) {\n\t\tif (core.getBlockCls(i, j) === 'enemys' && !(core.material.enemys[core.getBlockId(i, j)].notBomb)) {\n\t\t\tcore.strokeRect('xuanguaisuiji', 32 * i - 32, 32 * j - 32, 32, 32, \"#0000ff\");\n\t\t}\n\t}\n}\n}"
			},
			{
				"type": "tip",
				"text": "请选择要随机的怪物，按Esc取消"
			},
			{
				"type": "comment",
				"text": "全地图选中一个点，需要用鼠标或触屏操作"
			},
			{
				"type": "setValue",
				"name": "temp:X",
				"value": "-1+status:x"
			},
			{
				"type": "setValue",
				"name": "temp:Y",
				"value": "-1+status:y"
			},
			{
				"type": "while",
				"condition": "true",
				"data": [
					{
						"type": "drawSelector",
						"image": "winskin2.png",
						"code": 1,
						"x": "32*temp:X",
						"y": "32*temp:Y",
						"width": 32,
						"height": 32
					},
					{
						"type": "wait",
						"forceChild": true,
						"data": [
							{
								"case": "mouse",
								"px": [
									0,
									512
								],
								"py": [
									0,
									512
								],
								"action": [
									{
										"type": "setValue",
										"name": "temp:X",
										"value": "flag:x"
									},
									{
										"type": "setValue",
										"name": "temp:Y",
										"value": "flag:y"
									},
									{
										"type": "if",
										"condition": "(core.getBlockCls(1+flags.x,1+flags.y)=='enemys')",
										"true": [
											{
												"type": "if",
												"condition": "(!core.material.enemys[core.getBlockId(1+flags.x,1+flags.y)].notBomb)",
												"true": [
													{
														"type": "break",
														"n": 1
													}
												]
											}
										]
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "27",
								"action": [
									{
										"type": "drawSelector",
										"code": 1
									},
									{
										"type": "function",
										"function": "function(){\ncore.clearMap('xuanguaisuiji');\n}"
									},
									{
										"type": "exit"
									}
								]
							}
						]
					}
				]
			},
			{
				"type": "comment",
				"text": "流程进行到这里可以对[X,Y]点进行处理，比如"
			},
			{
				"type": "drawSelector",
				"code": 1
			},
			{
				"type": "playSound",
				"name": "door.mp3"
			},
			{
				"type": "setValue",
				"name": "flag:removed",
				"value": "core.getBlockId(1+temp:X,1+temp:Y)"
			},
			{
				"type": "setValue",
				"name": "flag:rand1",
				"value": "core.rand(38)"
			},
			{
				"type": "setValue",
				"name": "flag:rand1",
				"operator": "+=",
				"value": "1"
			},
			{
				"type": "switch",
				"condition": "flag:rand1",
				"caseList": [
					{
						"case": "1",
						"action": [
							{
								"type": "setBlock",
								"number": "greenSlime",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "2",
						"action": [
							{
								"type": "setBlock",
								"number": "redSlime",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "3",
						"action": [
							{
								"type": "setBlock",
								"number": "bat",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "4",
						"action": [
							{
								"type": "setBlock",
								"number": "bluePriest",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "5",
						"action": [
							{
								"type": "setBlock",
								"number": "skeleton",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "6",
						"action": [
							{
								"type": "setBlock",
								"number": "skeletonSoilder",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "7",
						"action": [
							{
								"type": "setBlock",
								"number": "yellowGuard",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "8",
						"action": [
							{
								"type": "setBlock",
								"number": "skeletonCaptain",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "9",
						"action": [
							{
								"type": "setBlock",
								"number": "blackSlime",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "10",
						"action": [
							{
								"type": "setBlock",
								"number": "bigBat",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "11",
						"action": [
							{
								"type": "setBlock",
								"number": "zombie",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "12",
						"action": [
							{
								"type": "setBlock",
								"number": "redPriest",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "13",
						"action": [
							{
								"type": "setBlock",
								"number": "zombieKnight",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "14",
						"action": [
							{
								"type": "setBlock",
								"number": "rock",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "15",
						"action": [
							{
								"type": "setBlock",
								"number": "vampire",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "16",
						"action": [
							{
								"type": "setBlock",
								"number": "slimeMan",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "17",
						"action": [
							{
								"type": "setBlock",
								"number": "ghostSkeleton",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "18",
						"action": [
							{
								"type": "setBlock",
								"number": "soldier",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "19",
						"action": [
							{
								"type": "setBlock",
								"number": "blueGuard",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "20",
						"action": [
							{
								"type": "setBlock",
								"number": "swordsman",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "21",
						"action": [
							{
								"type": "setBlock",
								"number": "redKnight",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "22",
						"action": [
							{
								"type": "setBlock",
								"number": "yellowKnight",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "23",
						"action": [
							{
								"type": "setBlock",
								"number": "slimelord",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "24",
						"action": [
							{
								"type": "setBlock",
								"number": "redBat",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "25",
						"action": [
							{
								"type": "setBlock",
								"number": "brownWizard",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "26",
						"action": [
							{
								"type": "setBlock",
								"number": "redWizard",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "27",
						"action": [
							{
								"type": "setBlock",
								"number": "whiteKing",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "28",
						"action": [
							{
								"type": "setBlock",
								"number": "darkKnight",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "29",
						"action": [
							{
								"type": "setBlock",
								"number": "redGuard",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "30",
						"action": [
							{
								"type": "setBlock",
								"number": "redKing",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "31",
						"action": [
							{
								"type": "setBlock",
								"number": "blackMagician",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "32",
						"action": [
							{
								"type": "setBlock",
								"number": "swordEmperor",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "33",
						"action": [
							{
								"type": "setBlock",
								"number": "octopus",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "34",
						"action": [
							{
								"type": "setBlock",
								"number": "magicDragon",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								]
							}
						]
					},
					{
						"case": "35",
						"action": [
							{
								"type": "hide",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								],
								"remove": true
							}
						]
					},
					{
						"case": "36",
						"action": [
							{
								"type": "hide",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								],
								"remove": true
							}
						]
					},
					{
						"case": "37",
						"action": [
							{
								"type": "hide",
								"loc": [
									"temp:X+1",
									"temp:Y+1"
								],
								"remove": true
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "sleep",
				"time": 25,
				"noSkip": true
			},
			{
				"type": "function",
				"function": "function(){\nflags.mods.xuanguaisuiji.charge--;\ncore.clearMap('xuanguaisuiji');\n}"
			},
			{
				"type": "update"
			},
			{
				"type": "waitAsync"
			},
			{
				"type": "tip",
				"text": "怪物随机完成了"
			}
		],
		"榻谟": [
			{
				"type": "function",
				"function": "function(){\ncore.createCanvas('tamo', 0, 0, 384, 384, 1000);\nfor (var i = 1; i <= 11; i++) {\n\tfor (var j = 1; j <= 11; j++) {\n\t\tif (core.getBlockCls(i, j) === 'enemys' && !(core.material.enemys[core.getBlockId(i, j)].notBomb)) {\n\t\t\tcore.strokeRect('tamo', 32 * i - 32, 32 * j - 32, 32, 32, \"#0000ff\");\n\t\t}\n\t}\n}\n}"
			},
			{
				"type": "tip",
				"text": "请选择需要交换的第一个怪物(按Esc取消)"
			},
			{
				"type": "setValue",
				"name": "temp:A",
				"value": "-1+status:x"
			},
			{
				"type": "setValue",
				"name": "temp:B",
				"value": "-1+status:y"
			},
			{
				"type": "while",
				"condition": "true",
				"data": [
					{
						"type": "drawSelector",
						"image": "winskin2.png",
						"code": 1,
						"x": "32*temp:A",
						"y": "32*temp:B",
						"width": 32,
						"height": 32
					},
					{
						"type": "wait",
						"forceChild": true,
						"data": [
							{
								"case": "mouse",
								"px": [
									0,
									512
								],
								"py": [
									0,
									512
								],
								"action": [
									{
										"type": "setValue",
										"name": "temp:A",
										"value": "flag:x"
									},
									{
										"type": "setValue",
										"name": "temp:B",
										"value": "flag:y"
									},
									{
										"type": "if",
										"condition": "(core.getBlockCls(1+flags.x,1+flags.y)=='enemys')",
										"true": [
											{
												"type": "if",
												"condition": "(!core.material.enemys[core.getBlockId(1+flags.x,1+flags.y)].notBomb)",
												"true": [
													{
														"type": "drawSelector",
														"image": "winskin2.png",
														"code": 1,
														"x": "32*temp:A",
														"y": "32*temp:B",
														"width": 32,
														"height": 32
													},
													{
														"type": "break",
														"n": 1
													}
												]
											}
										]
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "27",
								"action": [
									{
										"type": "drawSelector",
										"code": 1
									},
									{
										"type": "function",
										"function": "function(){\ncore.clearMap('tamo');\n}"
									},
									{
										"type": "exit"
									}
								]
							}
						]
					}
				]
			},
			{
				"type": "tip",
				"text": "请选择需要交换的第二个怪物"
			},
			{
				"type": "setValue",
				"name": "temp:C",
				"value": "-1+status:x"
			},
			{
				"type": "setValue",
				"name": "temp:D",
				"value": "-1+status:y"
			},
			{
				"type": "while",
				"condition": "true",
				"data": [
					{
						"type": "drawSelector",
						"image": "winskin2.png",
						"code": 2,
						"x": "32*temp:C",
						"y": "32*temp:D",
						"width": 32,
						"height": 32
					},
					{
						"type": "wait",
						"forceChild": true,
						"data": [
							{
								"case": "mouse",
								"px": [
									0,
									512
								],
								"py": [
									0,
									512
								],
								"action": [
									{
										"type": "setValue",
										"name": "temp:C",
										"value": "flag:x"
									},
									{
										"type": "setValue",
										"name": "temp:D",
										"value": "flag:y"
									},
									{
										"type": "if",
										"condition": "(((core.getBlockCls(1+core.getFlag(\"x\",0),1+core.getFlag(\"y\",0))=='enemys'))&&((flag:x!==temp:A)||(flag:y!==temp:B)))",
										"true": [
											{
												"type": "if",
												"condition": "(!core.material.enemys[core.getBlockId(1+flags.x,1+flags.y)].notBomb)",
												"true": [
													{
														"type": "drawSelector",
														"image": "winskin2.png",
														"code": 2,
														"x": "32*temp:C",
														"y": "32*temp:D",
														"width": 32,
														"height": 32
													},
													{
														"type": "break",
														"n": 1
													}
												]
											}
										]
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "27",
								"action": [
									{
										"type": "drawSelector",
										"code": 1
									},
									{
										"type": "drawSelector",
										"code": 2
									},
									{
										"type": "exit"
									}
								]
							}
						]
					}
				]
			},
			{
				"type": "if",
				"condition": "core.rand(2)",
				"true": [
					{
						"type": "playSound",
						"name": "tamo1.mp3"
					}
				],
				"false": [
					{
						"type": "playSound",
						"name": "tamo2.mp3"
					}
				]
			},
			{
				"type": "drawSelector",
				"code": 1
			},
			{
				"type": "drawSelector",
				"code": 2
			},
			{
				"type": "playSound",
				"name": "jump.mp3"
			},
			{
				"type": "jump",
				"from": [
					"1+temp:A",
					"1+temp:B"
				],
				"to": [
					"1+temp:C",
					"1+temp:D"
				],
				"time": 500,
				"keep": true,
				"async": true
			},
			{
				"type": "jump",
				"from": [
					"1+temp:C",
					"1+temp:D"
				],
				"to": [
					"1+temp:A",
					"1+temp:B"
				],
				"time": 500,
				"keep": true,
				"async": true
			},
			{
				"type": "waitAsync"
			},
			{
				"type": "function",
				"function": "function(){\ncore.clearMap('tamo');\n}"
			},
			{
				"type": "tip",
				"text": "榻谟完成"
			}
		],
		"我们都一样": [
			{
				"type": "function",
				"function": "function(){\ncore.createCanvas('same1', 0, 0, 384, 384, 1000);\nfor (var i = 1; i <= 11; i++) {\n\tfor (var j = 1; j <= 11; j++) {\n\t\tif (core.getBlockCls(i, j) === 'enemys' && !(core.material.enemys[core.getBlockId(i, j)].notBomb)) {\n\t\t\tcore.strokeRect('same1', 32 * i - 32, 32 * j - 32, 32, 32, \"#0000ff\");\n\t\t}\n\t}\n}\n}"
			},
			{
				"type": "tip",
				"text": "请选择要变成何种怪物(按Esc取消)"
			},
			{
				"type": "comment",
				"text": "全地图选中一个点，需要用鼠标或触屏操作"
			},
			{
				"type": "setValue",
				"name": "temp:X",
				"value": "-1+status:x"
			},
			{
				"type": "setValue",
				"name": "temp:Y",
				"value": "-1+status:y"
			},
			{
				"type": "while",
				"condition": "true",
				"data": [
					{
						"type": "drawSelector",
						"image": "winskin2.png",
						"code": 1,
						"x": "32*temp:X",
						"y": "32*temp:Y",
						"width": 32,
						"height": 32
					},
					{
						"type": "wait",
						"forceChild": true,
						"data": [
							{
								"case": "mouse",
								"px": [
									0,
									512
								],
								"py": [
									0,
									512
								],
								"action": [
									{
										"type": "setValue",
										"name": "temp:X",
										"value": "flag:x"
									},
									{
										"type": "setValue",
										"name": "temp:Y",
										"value": "flag:y"
									},
									{
										"type": "if",
										"condition": "(core.getBlockCls(1+flags.x,1+flags.y)=='enemys')",
										"true": [
											{
												"type": "if",
												"condition": "(!core.material.enemys[core.getBlockId(1+flags.x,1+flags.y)].notBomb)",
												"true": [
													{
														"type": "break",
														"n": 1
													}
												]
											}
										]
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "27",
								"action": [
									{
										"type": "drawSelector",
										"code": 1
									},
									{
										"type": "function",
										"function": "function(){\ncore.clearMap('same1');\n}"
									},
									{
										"type": "exit"
									}
								]
							}
						]
					}
				]
			},
			{
				"type": "comment",
				"text": "流程进行到这里可以对[X,Y]点进行处理，比如"
			},
			{
				"type": "drawSelector",
				"code": 1
			},
			{
				"type": "playSound",
				"name": "door.mp3"
			},
			{
				"type": "setValue",
				"name": "flag:removed",
				"value": "core.getBlockId(1+temp:X,1+temp:Y)"
			},
			{
				"type": "function",
				"function": "function(){\nfor (var i = 1; i <= 11; i++) {\n\tfor (var j = 1; j <= 11; j++) {\n\t\tif (core.getBlockCls(i, j) == \"enemys\" && !(core.material.enemys[core.getBlockId(i, j)].notBomb)) {\n\t\t\tcore.setBlock(core.getNumberById(flags.removed), i, j);\n\t\t}\n\t}\n}\n}"
			},
			{
				"type": "sleep",
				"time": 25,
				"noSkip": true
			},
			{
				"type": "function",
				"function": "function(){\nflags.mods.same1.charge--;\ncore.clearMap('same1');\n}"
			},
			{
				"type": "comment",
				"text": "如果重复则摧毁此牌"
			},
			{
				"type": "function",
				"function": "function(){\nvar same1Record = core.getFlag(\"same1Record\", []);\n\nif (same1Record.indexOf(flags.removed) != -1) {\n\tcore.setFlag(\"same1Record\", []);\n\t//摧毁此牌\n\tfor (var i = 1; i <= 5; i++) {\n\t\tif (flags.nowmods[i].id == \"same1\") core.setFlag(\"choice\", i);\n\t}\n\t//同名变量操作\n\tcore.setFlag(flags.nowmods[flags.choice].id, 0);\n\n\tfor (const modId in flags.mods) {\n\t\tif (flags.mods.hasOwnProperty(modId)) {\n\t\t\tif (core.getFlag(flags.mods[modId].id, 0) > flags.choice) {\n\t\t\t\tcore.addFlag(flags.mods[modId].id, -1);\n\t\t\t}\n\t\t}\n\t}\n\n\t//对象操作\n\tif (flags.choice <= 1) {\n\t\tflags.nowmods[1] = flags.nowmods[2];\n\t}\n\tif (flags.choice <= 2) {\n\t\tflags.nowmods[2] = flags.nowmods[3];\n\t}\n\tif (flags.choice <= 3) {\n\t\tflags.nowmods[3] = flags.nowmods[4];\n\t}\n\tif (flags.choice <= 4) {\n\t\tflags.nowmods[4] = flags.nowmods[5];\n\t}\n\tflags.nowmods[5] = {};\n\tflags.mymodCount--;\n} else {\n\tsame1Record.push(flags.removed);\n\tcore.setFlag(\"same1Record\", same1Record);\n}\n}"
			},
			{
				"type": "tip",
				"text": "我们都一样~"
			},
			{
				"type": "update"
			},
			{
				"type": "waitAsync"
			}
		],
		"它们都一样": [
			{
				"type": "function",
				"function": "function(){\ncore.createCanvas('same2', 0, 0, 384, 384, 1000);\nfor (var i = 1; i <= 11; i++) {\n\tfor (var j = 1; j <= 11; j++) {\n\t\tif (core.getBlockCls(i, j) === 'items' && !(core.getBlockId(i, j).startsWith(\"sword\") || core.getBlockId(i, j).startsWith(\"shield\"))) {\n\t\t\tcore.strokeRect('same2', 32 * i - 32, 32 * j - 32, 32, 32, \"#0000ff\");\n\t\t}\n\t}\n}\n}"
			},
			{
				"type": "tip",
				"text": "请选择要变成何种物品(按Esc取消)"
			},
			{
				"type": "comment",
				"text": "全地图选中一个点，需要用鼠标或触屏操作"
			},
			{
				"type": "setValue",
				"name": "temp:X",
				"value": "-1+status:x"
			},
			{
				"type": "setValue",
				"name": "temp:Y",
				"value": "-1+status:y"
			},
			{
				"type": "while",
				"condition": "true",
				"data": [
					{
						"type": "drawSelector",
						"image": "winskin2.png",
						"code": 1,
						"x": "32*temp:X",
						"y": "32*temp:Y",
						"width": 32,
						"height": 32
					},
					{
						"type": "wait",
						"forceChild": true,
						"data": [
							{
								"case": "mouse",
								"px": [
									0,
									512
								],
								"py": [
									0,
									512
								],
								"action": [
									{
										"type": "setValue",
										"name": "temp:X",
										"value": "flag:x"
									},
									{
										"type": "setValue",
										"name": "temp:Y",
										"value": "flag:y"
									},
									{
										"type": "if",
										"condition": "(core.getBlockCls(1+flags.x,1+flags.y)=='items')",
										"true": [
											{
												"type": "if",
												"condition": "(!(core.getBlockId(1+flags.x,1+flags.y).startsWith(\"sword\")||core.getBlockId(1+flags.x,1+flags.y).startsWith(\"shield\")))",
												"true": [
													{
														"type": "break",
														"n": 1
													}
												]
											}
										]
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "27",
								"action": [
									{
										"type": "drawSelector",
										"code": 1
									},
									{
										"type": "function",
										"function": "function(){\ncore.clearMap('same2');\n}"
									},
									{
										"type": "exit"
									}
								]
							}
						]
					}
				]
			},
			{
				"type": "comment",
				"text": "流程进行到这里可以对[X,Y]点进行处理，比如"
			},
			{
				"type": "drawSelector",
				"code": 1
			},
			{
				"type": "playSound",
				"name": "door.mp3"
			},
			{
				"type": "setValue",
				"name": "flag:removed",
				"value": "core.getBlockId(1+temp:X,1+temp:Y)"
			},
			{
				"type": "function",
				"function": "function(){\nfor (var i = 1; i <= 11; i++) {\n\tfor (var j = 1; j <= 11; j++) {\n\t\tif (core.getBlockCls(i, j) == \"items\" && !(core.getBlockId(i, j).startsWith(\"sword\") || core.getBlockId(i, j).startsWith(\"shield\"))) {\n\t\t\tcore.setBlock(core.getNumberById(flags.removed), i, j);\n\t\t}\n\t}\n}\n}"
			},
			{
				"type": "sleep",
				"time": 25,
				"noSkip": true
			},
			{
				"type": "function",
				"function": "function(){\nflags.mods.same2.charge--;\ncore.clearMap('same2');\n}"
			},
			{
				"type": "comment",
				"text": "如果重复则摧毁此牌"
			},
			{
				"type": "function",
				"function": "function(){\nvar same2Record = core.getFlag(\"same2Record\", []);\n\nif (same2Record.indexOf(flags.removed) != -1) {\n\tcore.setFlag(\"same2Record\", []);\n\t//摧毁此牌\n\tfor (var i = 1; i <= 5; i++) {\n\t\tif (flags.nowmods[i].id == \"same2\") core.setFlag(\"choice\", i);\n\t}\n\t//同名变量操作\n\tcore.setFlag(flags.nowmods[flags.choice].id, 0);\n\n\tfor (const modId in flags.mods) {\n\t\tif (flags.mods.hasOwnProperty(modId)) {\n\t\t\tif (core.getFlag(flags.mods[modId].id, 0) > flags.choice) {\n\t\t\t\tcore.addFlag(flags.mods[modId].id, -1);\n\t\t\t}\n\t\t}\n\t}\n\n\t//对象操作\n\tif (flags.choice <= 1) {\n\t\tflags.nowmods[1] = flags.nowmods[2];\n\t}\n\tif (flags.choice <= 2) {\n\t\tflags.nowmods[2] = flags.nowmods[3];\n\t}\n\tif (flags.choice <= 3) {\n\t\tflags.nowmods[3] = flags.nowmods[4];\n\t}\n\tif (flags.choice <= 4) {\n\t\tflags.nowmods[4] = flags.nowmods[5];\n\t}\n\tflags.nowmods[5] = {};\n\tflags.mymodCount--;\n} else {\n\tsame2Record.push(flags.removed);\n\tcore.setFlag(\"same2Record\", same2Record);\n}\n}"
			},
			{
				"type": "update"
			},
			{
				"type": "waitAsync"
			},
			{
				"type": "tip",
				"text": "它们都一样~"
			}
		],
		"flipcoin": [
			{
				"type": "function",
				"function": "function(){\nvar success = true;\nswitch (core.getBlockId(core.nextX(), core.nextY())) {\ncase \"yellowKey\":\n\tif (flags.mods.flipcoin.charge >= 1) {\n\t\tcore.setBlock(\"blueKey\", core.nextX(), core.nextY());\n\t\tflags.mods.flipcoin.charge--;\n\t} else {\n\t\tsuccess = false;\n\t}\n\tbreak;\ncase \"blueKey\":\n\tif (flags.mods.flipcoin.charge >= 1) {\n\t\tcore.setBlock(\"redKey\", core.nextX(), core.nextY());\n\t\tflags.mods.flipcoin.charge--;\n\t} else {\n\t\tsuccess = false;\n\t}\n\tbreak;\ncase \"blueGem\":\n\tif (flags.mods.flipcoin.charge >= 1) {\n\t\tcore.setBlock(\"redGem\", core.nextX(), core.nextY());\n\t\tflags.mods.flipcoin.charge--;\n\t} else {\n\t\tsuccess = false;\n\t}\n\tbreak;\ncase \"redPotion\":\n\tif (flags.mods.flipcoin.charge >= 1) {\n\t\tcore.setBlock(\"bluePotion\", core.nextX(), core.nextY());\n\t\tflags.mods.flipcoin.charge--;\n\t} else {\n\t\tsuccess = false;\n\t}\n\tbreak;\ncase \"redDoor\":\n\tif (flags.mods.flipcoin.charge >= 1) {\n\t\tcore.setBlock(\"blueDoor\", core.nextX(), core.nextY());\n\t\tflags.mods.flipcoin.charge--;\n\t} else {\n\t\tsuccess = false;\n\t}\n\tbreak;\ncase \"blueDoor\":\n\tif (flags.mods.flipcoin.charge >= 1) {\n\t\tcore.setBlock(\"yellowDoor\", core.nextX(), core.nextY());\n\t\tflags.mods.flipcoin.charge--;\n\t} else {\n\t\tsuccess = false;\n\t}\n\tbreak;\ncase \"redKey\":\n\tflags.mods.flipcoin.charge += 2;\n\tcore.setBlock(\"yellowKey\", core.nextX(), core.nextY());\n\tbreak;\ncase \"redGem\":\n\tflags.mods.flipcoin.charge++;\n\tcore.setBlock(\"blueGem\", core.nextX(), core.nextY());\n\tbreak;\ncase \"bluePotion\":\n\tflags.mods.flipcoin.charge++;\n\tcore.setBlock(\"redPotion\", core.nextX(), core.nextY());\n\tbreak;\ncase \"blueShop\":\ncase \"pinkShop\":\n\tvar timeflag = core.getFlag(\"times\" + core.status.thisMap.ratio);\n\tif (flags.mods.flipcoin.charge >= 4 && timeflag >= 2) {\n\t\tcore.setFlag(\"times\" + core.status.thisMap.ratio, timeflag - 1);\n\t\tflags.mods.flipcoin.charge -= 4;\n\t} else {\n\t\tsuccess = false;\n\t}\n\tbreak;\n\ndefault:\n\tsuccess = false;\n}\nif (flags.mods.flipcoin.charge >= flags.mods.flipcoin.maxCharge) flags.mods.flipcoin.charge = flags.mods.flipcoin.maxCharge;\nif (success == false) {\n\tcore.drawTip(\"投币失败，或该小丑牌能量不足\");\n} else {\n\tcore.playSound(\"door.mp3\");\n\tcore.drawTip(\"投币成功\");\n}\n}"
			}
		],
		"马": [
			{
				"type": "function",
				"function": "function(){\ncore.playSound(\"pickaxe.mp3\");\nfor (var i = -2; i <= 2; i++) {\n\tfor (var j = -2; j <= 2; j++) {\n\t\tif (i * i * j * j == 4 && core.getBlockId(core.status.hero.loc.x + i, core.status.hero.loc.y + j) == \"yellowWall\") {\n\t\t\tcore.setBlock(0, core.status.hero.loc.x + i, core.status.hero.loc.y + j);\n\t\t}\n\t}\n}\n}"
			},
			{
				"type": "setValue",
				"name": "temp:X",
				"value": "-1+status:x"
			},
			{
				"type": "setValue",
				"name": "temp:Y",
				"value": "-1+status:y"
			},
			{
				"type": "drawSelector",
				"image": "winskin.png",
				"code": 1,
				"x": "32*temp:X",
				"y": "32*temp:Y",
				"width": 32,
				"height": 32
			},
			{
				"type": "drawSelector",
				"image": "winskin2.png",
				"code": 2,
				"x": "32*(temp:X+2)",
				"y": "32*(temp:Y+1)",
				"width": 32,
				"height": 32
			},
			{
				"type": "drawSelector",
				"image": "winskin2.png",
				"code": 3,
				"x": "32*(temp:X+2)",
				"y": "32*(temp:Y-1)",
				"width": 32,
				"height": 32
			},
			{
				"type": "drawSelector",
				"image": "winskin2.png",
				"code": 4,
				"x": "32*(temp:X+1)",
				"y": "32*(temp:Y+2)",
				"width": 32,
				"height": 32
			},
			{
				"type": "drawSelector",
				"image": "winskin2.png",
				"code": 5,
				"x": "32*(temp:X+1)",
				"y": "32*(temp:Y-2)",
				"width": 32,
				"height": 32
			},
			{
				"type": "drawSelector",
				"image": "winskin2.png",
				"code": 6,
				"x": "32*(temp:X-1)",
				"y": "32*(temp:Y+2)",
				"width": 32,
				"height": 32
			},
			{
				"type": "drawSelector",
				"image": "winskin2.png",
				"code": 7,
				"x": "32*(temp:X-1)",
				"y": "32*(temp:Y-2)",
				"width": 32,
				"height": 32
			},
			{
				"type": "drawSelector",
				"image": "winskin2.png",
				"code": 8,
				"x": "32*(temp:X-2)",
				"y": "32*(temp:Y+1)",
				"width": 32,
				"height": 32
			},
			{
				"type": "drawSelector",
				"image": "winskin2.png",
				"code": 9,
				"x": "32*(temp:X-2)",
				"y": "32*(temp:Y-1)",
				"width": 32,
				"height": 32
			},
			{
				"type": "while",
				"condition": "true",
				"data": [
					{
						"type": "wait",
						"forceChild": true,
						"data": [
							{
								"case": "mouse",
								"px": [
									0,
									512
								],
								"py": [
									0,
									512
								],
								"action": [
									{
										"type": "setValue",
										"name": "temp:A",
										"value": "flag:x"
									},
									{
										"type": "setValue",
										"name": "temp:B",
										"value": "flag:y"
									},
									{
										"type": "drawSelector",
										"image": "winskin.png",
										"code": 1,
										"x": "32*temp:A",
										"y": "32*temp:B",
										"width": 32,
										"height": 32
									},
									{
										"type": "if",
										"condition": "(core.getBlockId(1+flags.x,1+flags.y)==null)",
										"true": [
											{
												"type": "if",
												"condition": "(Math.abs((temp:X-flag:x)*(temp:Y-flag:y))==2)",
												"true": [
													{
														"type": "playSound",
														"name": "jump.mp3"
													},
													{
														"type": "switch",
														"condition": "flag:x-temp:X",
														"caseList": [
															{
																"case": "2",
																"action": [
																	{
																		"type": "switch",
																		"condition": "flag:y-temp:Y",
																		"caseList": [
																			{
																				"case": "1",
																				"action": [
																					{
																						"type": "jumpHero",
																						"dxy": [
																							2,
																							1
																						],
																						"time": 500
																					}
																				]
																			},
																			{
																				"case": "-1",
																				"action": [
																					{
																						"type": "jumpHero",
																						"dxy": [
																							2,
																							-1
																						],
																						"time": 500
																					}
																				]
																			}
																		]
																	}
																]
															},
															{
																"case": "1",
																"action": [
																	{
																		"type": "switch",
																		"condition": "flag:y-temp:Y",
																		"caseList": [
																			{
																				"case": "2",
																				"action": [
																					{
																						"type": "jumpHero",
																						"dxy": [
																							1,
																							2
																						],
																						"time": 500
																					}
																				]
																			},
																			{
																				"case": "-2",
																				"action": [
																					{
																						"type": "jumpHero",
																						"dxy": [
																							1,
																							-2
																						],
																						"time": 500
																					}
																				]
																			}
																		]
																	}
																]
															},
															{
																"case": "-1",
																"action": [
																	{
																		"type": "switch",
																		"condition": "flag:y-temp:Y",
																		"caseList": [
																			{
																				"case": "2",
																				"action": [
																					{
																						"type": "jumpHero",
																						"dxy": [
																							-1,
																							2
																						],
																						"time": 500
																					}
																				]
																			},
																			{
																				"case": "-2",
																				"action": [
																					{
																						"type": "jumpHero",
																						"dxy": [
																							-1,
																							-2
																						],
																						"time": 500
																					}
																				]
																			}
																		]
																	}
																]
															},
															{
																"case": "-2",
																"action": [
																	{
																		"type": "switch",
																		"condition": "flag:y-temp:Y",
																		"caseList": [
																			{
																				"case": "1",
																				"action": [
																					{
																						"type": "jumpHero",
																						"dxy": [
																							-2,
																							1
																						],
																						"time": 500
																					}
																				]
																			},
																			{
																				"case": "-1",
																				"action": [
																					{
																						"type": "jumpHero",
																						"dxy": [
																							-2,
																							-1
																						],
																						"time": 500
																					}
																				]
																			}
																		]
																	}
																]
															},
															{
																"case": "default",
																"action": [
																	{
																		"type": "comment",
																		"text": "当没有符合的值的场合执行default事件"
																	}
																]
															}
														]
													},
													{
														"type": "break",
														"n": 1
													}
												],
												"false": []
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"type": "drawSelector",
				"code": 1
			},
			{
				"type": "drawSelector",
				"code": 2
			},
			{
				"type": "drawSelector",
				"code": 3
			},
			{
				"type": "drawSelector",
				"code": 4
			},
			{
				"type": "drawSelector",
				"code": 5
			},
			{
				"type": "drawSelector",
				"code": 6
			},
			{
				"type": "drawSelector",
				"code": 7
			},
			{
				"type": "drawSelector",
				"code": 8
			},
			{
				"type": "drawSelector",
				"code": 9
			}
		],
		"肘飞": [
			{
				"type": "function",
				"function": "function(){\nconsole.log(flags.arg1,flags.arg2,core.nextX(3),core.nextY(3));\n}"
			},
			{
				"type": "jump",
				"from": [
					"flags.arg1",
					"flags.arg2"
				],
				"to": [
					"core.nextX(3)",
					"core.nextY(3)"
				],
				"time": 200,
				"keep": true
			},
			{
				"type": "setBlockFilter",
				"loc": [
					"core.nextX(3)",
					"core.nextY(3)"
				],
				"blur": 0,
				"hue": 0,
				"grayscale": 0,
				"invert": true,
				"shadow": 0
			},
			{
				"type": "setEnemyOnPoint",
				"loc": [
					"core.nextX(3)",
					"core.nextY(3)"
				],
				"name": "money",
				"value": "0"
			},
			{
				"type": "setBlockFilter",
				"loc": [
					"flags.arg1",
					"flags.arg2"
				],
				"blur": 0,
				"hue": 0,
				"grayscale": 0,
				"invert": false,
				"shadow": 0
			},
			{
				"type": "hide",
				"loc": [
					"flags.arg1",
					"flags.arg2"
				],
				"remove": true
			}
		],
		"主动使用小丑牌": [
			{
				"type": "if",
				"condition": "(flag:todo==-1)",
				"true": [
					{
						"type": "break",
						"n": 1
					}
				]
			},
			{
				"type": "if",
				"condition": "(!flags.mods[flags.todo].active)",
				"true": [
					{
						"type": "tip",
						"text": "该小丑牌不可主动使用"
					},
					{
						"type": "break",
						"n": 1
					}
				]
			},
			{
				"type": "switch",
				"condition": "flag:todo",
				"caseList": [
					{
						"case": "\"tuila\"",
						"action": [
							{
								"type": "if",
								"condition": "(flags.mods.tuila.charge>=1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:tuilacnt",
										"value": "0"
									},
									{
										"type": "if",
										"condition": "((core.getBlock(core.nextX(2), core.nextY(2)) == null )&&( core.getBlockCls(core.nextX(), core.nextY()) == \"enemys\"))",
										"true": [
											{
												"type": "setValue",
												"name": "flag:tuilacnt",
												"operator": "+=",
												"value": "1"
											},
											{
												"type": "switch",
												"condition": "status:direction",
												"caseList": [
													{
														"case": "\"up\"",
														"action": [
															{
																"type": "move",
																"loc": [
																	"core.nextX()",
																	"core.nextY()"
																],
																"time": 100,
																"keep": true,
																"steps": [
																	"up:1"
																]
															}
														]
													},
													{
														"case": "\"down\"",
														"action": [
															{
																"type": "move",
																"loc": [
																	"core.nextX()",
																	"core.nextY()"
																],
																"time": 100,
																"keep": true,
																"steps": [
																	"down:1"
																]
															}
														]
													},
													{
														"case": "\"left\"",
														"action": [
															{
																"type": "move",
																"loc": [
																	"core.nextX()",
																	"core.nextY()"
																],
																"time": 100,
																"keep": true,
																"steps": [
																	"left:1"
																]
															}
														]
													},
													{
														"case": "\"right\"",
														"action": [
															{
																"type": "move",
																"loc": [
																	"core.nextX()",
																	"core.nextY()"
																],
																"time": 100,
																"keep": true,
																"steps": [
																	"right:1"
																]
															}
														]
													}
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "(((core.getBlock(core.nextX(), core.nextY()) == null )||(flag:tuilacnt == 1))&&( core.getBlockCls(core.nextX(-1), core.nextY(-1)) == \"enemys\"))",
										"true": [
											{
												"type": "setValue",
												"name": "flag:tuilacnt",
												"operator": "+=",
												"value": "1"
											},
											{
												"type": "switch",
												"condition": "status:direction",
												"caseList": [
													{
														"case": "\"up\"",
														"action": [
															{
																"type": "move",
																"loc": [
																	"core.nextX(-1)",
																	"core.nextY(-1)"
																],
																"time": 100,
																"keep": true,
																"steps": [
																	"up:1"
																]
															}
														]
													},
													{
														"case": "\"down\"",
														"action": [
															{
																"type": "move",
																"loc": [
																	"core.nextX(-1)",
																	"core.nextY(-1)"
																],
																"time": 100,
																"keep": true,
																"steps": [
																	"down:1"
																]
															}
														]
													},
													{
														"case": "\"left\"",
														"action": [
															{
																"type": "move",
																"loc": [
																	"core.nextX(-1)",
																	"core.nextY(-1)"
																],
																"time": 100,
																"keep": true,
																"steps": [
																	"left:1"
																]
															}
														]
													},
													{
														"case": "\"right\"",
														"action": [
															{
																"type": "move",
																"loc": [
																	"core.nextX(-1)",
																	"core.nextY(-1)"
																],
																"time": 100,
																"keep": true,
																"steps": [
																	"right:1"
																]
															}
														]
													}
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "(flag:tuilacnt>=1)",
										"true": [
											{
												"type": "function",
												"function": "function(){\nflags.mods.tuila.charge--;\n}"
											},
											{
												"type": "playSound",
												"name": "door.mp3"
											},
											{
												"type": "moveHero",
												"steps": [
													"forward:1"
												]
											}
										],
										"false": [
											{
												"type": "tip",
												"text": "请面向或背对怪物使用"
											}
										]
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "该小丑牌能量不足"
									}
								]
							}
						]
					},
					{
						"case": "\"xuanguaisuiji\"",
						"action": [
							{
								"type": "if",
								"condition": "(flags.mods.xuanguaisuiji.charge>=1)",
								"true": [
									{
										"type": "insert",
										"name": "选怪随机"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "该小丑牌能量不足"
									}
								]
							}
						]
					},
					{
						"case": "\"pao\"",
						"action": [
							{
								"type": "setValue",
								"name": "flag:paoOK",
								"value": "0"
							},
							{
								"type": "setValue",
								"name": "flag:paobattled",
								"value": "0"
							},
							{
								"type": "for",
								"name": "temp:I",
								"from": "1",
								"to": "13",
								"step": "1",
								"data": [
									{
										"type": "setValue",
										"name": "flag:paoi",
										"value": "temp:I"
									},
									{
										"type": "if",
										"condition": "(flag:paoOK==0)",
										"true": [
											{
												"type": "if",
												"condition": "(core.getBlockId(core.nextX(flags.paoi), core.nextY(flags.paoi)) != null)",
												"true": [
													{
														"type": "setValue",
														"name": "flag:paoOK",
														"value": "1"
													}
												]
											}
										],
										"false": [
											{
												"type": "if",
												"condition": "(core.getBlockCls(core.nextX(flags.paoi), core.nextY(flags.paoi)) == \"enemys\")",
												"true": [
													{
														"type": "if",
														"condition": "core.canBattle(core.getBlockId(core.nextX(flags.paoi), core.nextY(flags.paoi)), core.nextX(flags.paoi), core.nextY(flags.paoi))",
														"true": [
															{
																"type": "jumpHero",
																"loc": [
																	"core.nextX(flags.paoi-1)",
																	"core.nextY(flags.paoi-1)"
																],
																"time": 1
															},
															{
																"type": "battle",
																"loc": [
																	"core.nextX()",
																	"core.nextY()"
																]
															},
															{
																"type": "sleep",
																"time": 50
															},
															{
																"type": "moveAction"
															},
															{
																"type": "setValue",
																"name": "flag:paobattled",
																"value": "1"
															},
															{
																"type": "function",
																"function": "function(){\nfor (var i = 1; i <= 11; i++) {\n\tfor (var j = 1; j <= 11; j++) {\n\t\tif (core.getBlockId(i, j) == \"yellowKey\") {\n\t\t\tcore.removeBlock(i, j);\n\t\t\tcore.status.hero.money += 50;\n\t\t}\n\t}\n}\n}"
															}
														]
													},
													{
														"type": "break",
														"n": 1
													}
												]
											}
										]
									}
								]
							},
							{
								"type": "if",
								"condition": "(flag:paobattled==0)",
								"true": [
									{
										"type": "tip",
										"text": "无法开炮或打不过"
									}
								]
							}
						]
					},
					{
						"case": "\"renyimen\"",
						"action": [
							{
								"type": "if",
								"condition": "(flags.mods.renyimen.charge>=1)",
								"true": [
									{
										"type": "if",
										"condition": "((core.getBlockId(core.nextX(), core.nextY()) == \"yellowWall\")&&((core.nextX() <= 11 )&&(( core.nextX() >= 1 )&&(( core.nextY() <= 11 )&&( core.nextY() >= 1)))))",
										"true": [
											{
												"type": "function",
												"function": "function(){\nflags.mods.renyimen.charge--;\n}"
											},
											{
												"type": "playSound",
												"name": "door.mp3"
											},
											{
												"type": "setBlock",
												"number": "blueDoor",
												"loc": [
													"core.nextX()",
													"core.nextY()"
												]
											}
										],
										"false": [
											{
												"type": "tip",
												"text": "请面向墙体使用"
											}
										]
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "该小丑牌能量不足"
									}
								]
							}
						]
					},
					{
						"case": "\"renyibing\"",
						"action": [
							{
								"type": "if",
								"condition": "(flags.mods.renyibing.charge>=1)",
								"true": [
									{
										"type": "if",
										"condition": "((core.getBlockId(core.nextX(), core.nextY()) == \"yellowWall\")&&((core.nextX() <= 11 )&&(( core.nextX() >= 1 )&&(( core.nextY() <= 11 )&&( core.nextY() >= 1)))))",
										"true": [
											{
												"type": "function",
												"function": "function(){\nflags.mods.renyibing.charge--;\n}"
											},
											{
												"type": "playSound",
												"name": "door.mp3"
											},
											{
												"type": "switch",
												"condition": "core.status.thisMap.ratio",
												"caseList": [
													{
														"case": "1",
														"action": [
															{
																"type": "setBlock",
																"number": "yellowGuard",
																"loc": [
																	"core.nextX()",
																	"core.nextY()"
																]
															}
														]
													},
													{
														"case": "2",
														"action": [
															{
																"type": "setBlock",
																"number": "rock",
																"loc": [
																	"core.nextX()",
																	"core.nextY()"
																]
															}
														]
													},
													{
														"case": "3",
														"action": [
															{
																"type": "setBlock",
																"number": "blackMagician",
																"loc": [
																	"core.nextX()",
																	"core.nextY()"
																]
															}
														]
													},
													{
														"case": "4",
														"action": [
															{
																"type": "setBlock",
																"number": "blueGuard",
																"loc": [
																	"core.nextX()",
																	"core.nextY()"
																]
															}
														]
													},
													{
														"case": "5",
														"action": [
															{
																"type": "setBlock",
																"number": "redGuard",
																"loc": [
																	"core.nextX()",
																	"core.nextY()"
																]
															}
														]
													},
													{
														"case": "default",
														"action": [
															{
																"type": "tip",
																"text": "错误：意料之外的ratio"
															}
														]
													}
												]
											}
										],
										"false": [
											{
												"type": "tip",
												"text": "请面向墙体使用"
											}
										]
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "该小丑牌能量不足"
									}
								]
							}
						]
					},
					{
						"case": "\"yanmie\"",
						"action": [
							{
								"type": "if",
								"condition": "(flags.mods.yanmie.charge>=1)",
								"true": [
									{
										"type": "function",
										"function": "function(){\nflags.mods.yanmie.charge--;\n}"
									},
									{
										"type": "playSound",
										"name": "door.mp3"
									},
									{
										"type": "for",
										"name": "temp:X",
										"from": "status:x-3",
										"to": "status:x+3",
										"step": "1",
										"data": [
											{
												"type": "for",
												"name": "temp:Y",
												"from": "status:y-3",
												"to": "status:y+3",
												"step": "1",
												"data": [
													{
														"type": "hide",
														"loc": [
															"temp:X",
															"temp:Y"
														],
														"remove": true
													}
												]
											}
										]
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "该小丑牌能量不足"
									}
								]
							}
						]
					},
					{
						"case": "\"fangjia\"",
						"action": [
							{
								"type": "if",
								"condition": "(flags.mods.fangjia.charge>=1)",
								"true": [
									{
										"type": "function",
										"function": "function(){\nflags.mods.fangjia.charge--;\ncore.playSound(\"bomb.mp3\");\nfor (var i = 1; i <= 11; i++) {\n\tfor (var j = 1; j <= 11; j++) {\n\t\tif (core.getBlockCls(i, j) == \"enemys\" && !core.material.enemys[core.getBlockId(i, j)].notBomb) {\n\t\t\tcore.removeBlock(i, j);\n\t\t} else if (core.getBlockId(i, j) == \"steelDoor\" || core.getBlockId(i, j) == \"specialDoor\") {\n\t\t\tcore.setBlock(82, i, j);\n\t\t}\n\t}\n}\n}"
									},
									{
										"type": "if",
										"condition": "0",
										"true": [
											{
												"type": "playSound",
												"name": "bomb.mp3"
											},
											{
												"type": "for",
												"name": "temp:X",
												"from": "1",
												"to": "11",
												"step": "1",
												"data": [
													{
														"type": "for",
														"name": "temp:Y",
														"from": "1",
														"to": "11",
														"step": "1",
														"data": [
															{
																"type": "setValue",
																"name": "flag:fangjiax",
																"value": "temp:X"
															},
															{
																"type": "setValue",
																"name": "flag:fangjiay",
																"value": "temp:Y"
															},
															{
																"type": "if",
																"condition": "((core.getBlockCls(flags.fangjiax, flags.fangjiay) == \"enemys\" )&& !core.material.enemys[core.getBlockId(flags.fangjiax, flags.fangjiay)].notBomb)",
																"true": [
																	{
																		"type": "hide",
																		"loc": [
																			"temp:X",
																			"temp:Y"
																		],
																		"remove": true
																	}
																],
																"false": [
																	{
																		"type": "if",
																		"condition": "((core.getBlockId(flags.fangjiax, flags.fangjiay) == \"steelDoor\" )||( core.getBlockId(flags.fangjiax, flags.fangjiay) == \"specialDoor\"))",
																		"true": [
																			{
																				"type": "setBlock",
																				"number": "82",
																				"loc": [
																					"temp:X",
																					"temp:Y"
																				]
																			}
																		],
																		"false": []
																	}
																]
															}
														]
													}
												]
											}
										]
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "该小丑牌能量不足"
									}
								]
							}
						]
					},
					{
						"case": "\"ma\"",
						"action": [
							{
								"type": "if",
								"condition": "(flags.mods.ma.charge>=1)",
								"true": [
									{
										"type": "function",
										"function": "function(){\nflags.mods.ma.charge--;\n}"
									},
									{
										"type": "insert",
										"name": "马"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "该小丑牌能量不足"
									}
								]
							}
						]
					},
					{
						"case": "\"tamo\"",
						"action": [
							{
								"type": "insert",
								"name": "榻谟"
							}
						]
					},
					{
						"case": "\"same1\"",
						"action": [
							{
								"type": "if",
								"condition": "(flags.mods.same1.charge>=1)",
								"true": [
									{
										"type": "insert",
										"name": "我们都一样"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "该小丑牌能量不足"
									}
								]
							}
						]
					},
					{
						"case": "\"same2\"",
						"action": [
							{
								"type": "if",
								"condition": "(flags.mods.same2.charge>=1)",
								"true": [
									{
										"type": "insert",
										"name": "它们都一样"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "该小丑牌能量不足"
									}
								]
							}
						]
					},
					{
						"case": "\"sunquan\"",
						"action": [
							{
								"type": "if",
								"condition": "(flag:sunquan_using>=1)",
								"true": [
									{
										"type": "function",
										"function": "function(){\nflags.mods.sunquan.charge = Math.min(flags.mods.sunquan.charge + 1, flags.mods.sunquan.maxCharge);\n}"
									},
									{
										"type": "setValue",
										"name": "flag:sunquan_using",
										"value": "0"
									},
									{
										"type": "if",
										"condition": "(core.rand2(2)==1)",
										"true": [
											{
												"type": "tip",
												"text": "且慢~（技能已取消）"
											}
										],
										"false": [
											{
												"type": "tip",
												"text": "容我三思~（技能已取消）"
											}
										]
									}
								],
								"false": [
									{
										"type": "if",
										"condition": "(flags.mods.jiexusheng.charge>=1)",
										"true": [
											{
												"type": "function",
												"function": "function(){\nflags.mods.sunquan.charge--;\n}"
											},
											{
												"type": "setValue",
												"name": "flag:sunquan_using",
												"value": "1"
											},
											{
												"type": "if",
												"condition": "(core.rand2(2)==1)",
												"true": [
													{
														"type": "playSound",
														"name": "zhiheng1.mp3"
													}
												],
												"false": [
													{
														"type": "playSound",
														"name": "zhiheng2.mp3"
													}
												]
											}
										],
										"false": [
											{
												"type": "tip",
												"text": "该小丑牌能量不足"
											}
										]
									}
								]
							}
						]
					},
					{
						"case": "\"jiexusheng\"",
						"action": [
							{
								"type": "if",
								"condition": "(flag:jiexusheng_using>=1)",
								"true": [
									{
										"type": "function",
										"function": "function(){\nflags.mods.jiexusheng.charge = Math.min(flags.mods.jiexusheng.charge + 1, flags.mods.jiexusheng.maxCharge);\n}"
									},
									{
										"type": "setValue",
										"name": "flag:jiexusheng_using",
										"value": "0"
									},
									{
										"type": "tip",
										"text": "技能已取消"
									}
								],
								"false": [
									{
										"type": "if",
										"condition": "(flags.mods.jiexusheng.charge>=1)",
										"true": [
											{
												"type": "function",
												"function": "function(){\nflags.mods.jiexusheng.charge--;\n}"
											},
											{
												"type": "setValue",
												"name": "flag:jiexusheng_using",
												"value": "1"
											},
											{
												"type": "playSound",
												"name": "pojun1.mp3"
											}
										],
										"false": [
											{
												"type": "tip",
												"text": "该小丑牌能量不足"
											}
										]
									}
								]
							}
						]
					},
					{
						"case": "\"flipcoin\"",
						"action": [
							{
								"type": "insert",
								"name": "flipcoin"
							}
						]
					},
					{
						"case": "\"aleajactaest\"",
						"action": [
							{
								"type": "if",
								"condition": "(flag:aleajactaest_used>=1)",
								"true": [
									{
										"type": "tip",
										"text": "骰子已被掷下，你已无路可退"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:aleajactaest_used",
										"value": "1"
									},
									{
										"type": "playSound",
										"name": "20F.mp3"
									},
									{
										"type": "tip",
										"text": "骰子已被掷下，宝石血瓶效果翻倍，本局游戏将无法买卖小丑牌"
									}
								]
							}
						]
					},
					{
						"case": "\"tuihua\"",
						"action": [
							{
								"type": "if",
								"condition": "(flags.mods.tuihua.charge>=1)",
								"true": [
									{
										"type": "function",
										"function": "function(){\nflags.mods.tuihua.charge--;\ncore.playSound(\"door.mp3\");\ncore.addFlag(\"tuihua\" + core.status.floorId, 1);\nfor (var x = 1; x <= 11; x++) {\n\tfor (var y = 1; y <= 11; y++) {\n\t\tvar enemyId = core.getBlockId(x, y);\n\t\tif (enemyId != \"swordEmperor\") {\n\t\t\t// 在哪个list中（且不是第一个），就生成低一级的怪物\n\t\t\tfor (var i = 1; i <= 9; i++) {\n\t\t\t\tif (core.getFlag(\"enemyList\" + i).indexOf(enemyId) >= 1) {\n\t\t\t\t\tcore.setBlock(core.getFlag(\"enemyList\" + i)[core.getFlag(\"enemyList\" + i).indexOf(enemyId) - 1], x, y);\n\t\t\t\t}\n\t\t\t}\n\t\t}\n\t}\n}\n}"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "该小丑牌能量不足"
									}
								]
							}
						]
					},
					{
						"case": "default",
						"action": [
							{
								"type": "tip",
								"text": "错误：意料之外的name"
							}
						]
					}
				]
			},
			{
				"type": "if",
				"condition": "0",
				"true": [
					{
						"type": "function",
						"function": "function(){\nif (flags.todo == -1) return;\nvar todo = flags.todo;\nif (!flags.mods[todo].active) {\n\tcore.drawTip(\"该小丑牌不可主动使用\");\n\treturn;\n}\nif (todo == \"tuila\") {\n\t// 推拉：如果前面是怪且再前面是空地，推；如果后面是怪且{前面是空地或满足推的条件}，拉；二者满足其一即使用，使用后降低充能\n\tif (flags.mods.tuila.charge >= 1) {\n\t\tvar tuilacnt = 0;\n\t\tif (core.getBlock(core.nextX(2), core.nextY(2)) == null && core.getBlockCls(core.nextX(), core.nextY()) == \"enemys\") {\n\t\t\ttuilacnt++;\n\t\t\tcore.moveBlock(core.nextX(), core.nextY(), [core.getHeroLoc(\"direction\")], 100, true);\n\t\t}\n\n\t\tif ((core.getBlock(core.nextX(), core.nextY()) == null || tuilacnt == 1) && core.getBlockCls(core.nextX(-1), core.nextY(-1)) == \"enemys\") {\n\t\t\ttuilacnt++;\n\t\t\tcore.moveBlock(core.nextX(-1), core.nextY(-1), [core.getHeroLoc(\"direction\")], 100, true);\n\t\t}\n\t\tif (tuilacnt >= 1) {\n\t\t\tflags.mods.tuila.charge--;\n\t\t\tcore.playSound(\"door.mp3\");\n\t\t\tcore.clearMap(\"hero\");\n\t\t\tcore.setHeroLoc(\"x\", core.nextX());\n\t\t\tcore.setHeroLoc(\"y\", core.nextY());\n\t\t\tcore.drawHero();\n\t\t} else {\n\t\t\tcore.drawTip(\"请面向或背对怪物使用\");\n\t\t}\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n\n} else if (todo == \"xuanguaisuiji\") {\n\t// 选怪随机：弹出选怪界面，按空地取消，使用后降低充能\n\tif (flags.mods.xuanguaisuiji.charge >= 1) {\n\t\tcore.insertCommonEvent(\"选怪随机\");\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n\n} else if (todo == \"pao\") {\n\t// 炮：满足条件直接打，使用后降低充能\n\tvar OK = false;\n\tvar battled = false;\n\tfor (var i = 1; i <= 13; i++) {\n\t\tif (OK == false) {\n\t\t\tif (core.getBlockId(core.nextX(i), core.nextY(i)) != null) OK = true;\n\t\t} else {\n\t\t\tif (core.getBlockCls(core.nextX(i), core.nextY(i)) == \"enemys\") {\n\t\t\t\tif (core.canBattle(core.getBlockId(core.nextX(i), core.nextY(i)), core.nextX(i), core.nextY(i))) {\n\t\t\t\t\tcore.setFlag(\"i\", i);\n\t\t\t\t\tcore.insertAction([\n\t\t\t\t\t\t{ \"type\": \"jumpHero\", \"loc\": [\"core.nextX(flags.i-1)\", \"core.nextY(flags.i-1)\"], \"time\": 1 },\n\t\t\t\t\t\t{ \"type\": \"function\", \"function\": \"function(){console.log(core.nextX(),core.nextY());}\" },\n\t\t\t\t\t\t{ \"type\": \"battle\", \"loc\": [\"core.nextX()\", \"core.nextY()\"] },\n\t\t\t\t\t\t{ \"type\": \"moveAction\" },\n\t\t\t\t\t]);\n\t\t\t\t\tbattled = true;\n\t\t\t\t\tvar keyCount = 0;\n\t\t\t\t\tfor (var i = 1; i <= 11; i++) {\n\t\t\t\t\t\tfor (var j = 1; j <= 11; j++) {\n\t\t\t\t\t\t\tif (core.getBlockId(i, j) == \"yellowKey\") {\n\t\t\t\t\t\t\t\tkeyCount++;\n\t\t\t\t\t\t\t\tcore.removeBlock(i, j);\n\t\t\t\t\t\t\t}\n\t\t\t\t\t\t}\n\t\t\t\t\t}\n\t\t\t\t\tcore.status.hero.money += 50 * keyCount;\n\t\t\t\t}\n\t\t\t\tbreak;\n\t\t\t}\n\t\t}\n\t}\n\tif (battled == false) {\n\t\tcore.drawTip(\"无法开炮或打不过\");\n\t}\n\n} else if (todo == \"renyimen\") {\n\t// 任意门：前面是墙直接用，使用后降低充能\n\tif (core.nextX() <= 11 && core.nextX() >= 1 && core.nextY() <= 11 && core.nextY() >= 1) {\n\t\tif (core.getBlockId(core.nextX(), core.nextY()) == \"yellowWall\") {\n\t\t\tif (flags.mods.renyimen.charge >= 1) {\n\t\t\t\tflags.mods.renyimen.charge--;\n\t\t\t\tcore.playSound(\"door.mp3\");\n\t\t\t\tcore.setBlock(81, core.nextX(), core.nextY());\n\t\t\t} else {\n\t\t\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t\t\t}\n\t\t} else {\n\t\t\tcore.drawTip(\"请面向墙体使用\");\n\t\t}\n\t} else {\n\t\tcore.drawTip(\"请面向墙体使用\");\n\t}\n\n} else if (todo == \"renyibing\") {\n\t// 任意兵：前面是墙直接用，使用后降低充能\n\tif (core.nextX() <= 11 && core.nextX() >= 1 && core.nextY() <= 11 && core.nextY() >= 1) {\n\t\tif (core.getBlockId(core.nextX(), core.nextY()) == \"yellowWall\") {\n\t\t\tif (flags.mods.renyibing.charge >= 1) {\n\t\t\t\tflags.mods.renyibing.charge--;\n\t\t\t\tcore.playSound(\"door.mp3\");\n\t\t\t\tvar bing;\n\t\t\t\tswitch (core.status.thisMap.ratio) {\n\t\t\t\tcase 1:\n\t\t\t\t\tbing = \"yellowGuard\";\n\t\t\t\t\tbreak;\n\t\t\t\tcase 2:\n\t\t\t\t\tbing = \"rock\";\n\t\t\t\t\tbreak;\n\t\t\t\tcase 3:\n\t\t\t\t\tbing = \"blackMagician\";\n\t\t\t\t\tbreak;\n\t\t\t\tcase 4:\n\t\t\t\t\tbing = \"blueGuard\";\n\t\t\t\t\tbreak;\n\t\t\t\tcase 5:\n\t\t\t\t\tbing = \"redGuard\";\n\t\t\t\t\tbreak;\n\t\t\t\t}\n\t\t\t\tcore.setBlock(core.getNumberById(bing), core.nextX(), core.nextY());\n\t\t\t} else {\n\t\t\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t\t\t}\n\t\t} else {\n\t\t\tcore.drawTip(\"请面向墙体使用\");\n\t\t}\n\t} else {\n\t\tcore.drawTip(\"请面向墙体使用\");\n\t}\n\n} else if (todo == \"yanmie\") {\n\t// 破灭卷轴：使用后降低充能\n\tif (flags.mods.yanmie.charge >= 1) {\n\t\tflags.mods.yanmie.charge--;\n\t\tcore.playSound(\"door.mp3\");\n\t\tfor (var i = -3 + core.status.hero.loc.x; i <= 3 + core.status.hero.loc.x; i++) {\n\t\t\tfor (var j = -3 + core.status.hero.loc.y; j <= 3 + core.status.hero.loc.y; j++) {\n\t\t\t\tcore.removeBlock(i, j);\n\t\t\t}\n\t\t}\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n} else if (todo == \"fangjia\") {\n\t// 放假：使用后降低充能\n\tif (flags.mods.fangjia.charge >= 1) {\n\t\tflags.mods.fangjia.charge--;\n\t\tcore.playSound(\"bomb.mp3\");\n\t\tfor (var i = 1; i <= 11; i++) {\n\t\t\tfor (var j = 1; j <= 11; j++) {\n\t\t\t\tif (core.getBlockCls(i, j) == \"enemys\" && !core.material.enemys[core.getBlockId(i, j)].notBomb) {\n\t\t\t\t\tcore.removeBlock(i, j);\n\t\t\t\t} else if (core.getBlockId(i, j) == \"steelDoor\" || core.getBlockId(i, j) == \"specialDoor\") {\n\t\t\t\t\tcore.setBlock(82, i, j);\n\t\t\t\t}\n\t\t\t}\n\t\t}\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n} else if (todo == \"ma\") {\n\t//马：破坏八个墙，然后直接弹出界面\n\tif (flags.mods.ma.charge >= 1) {\n\t\tflags.mods.ma.charge--;\n\t\tcore.insertCommonEvent(\"马\");\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n\n} else if (todo == \"tamo\") {\n\t//神鲁肃，直接弹出界面\n\tcore.insertCommonEvent(\"榻谟\");\n\n} else if (todo == \"same1\") {\n\t//我们都一样（换怪物），直接弹出界面\n\tif (flags.mods.same1.charge >= 1) {\n\t\tcore.insertCommonEvent(\"我们都一样\");\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n\n} else if (todo == \"same2\") {\n\t//它们都一样（换宝物），直接弹出界面\n\tif (flags.mods.same2.charge >= 1) {\n\t\tcore.insertCommonEvent(\"它们都一样\");\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n\n} else if (todo == \"sunquan\") {\n\t//会玩权：如果已在该技能状态则取消技能，否则开技能\n\tif (core.getFlag(\"sunquan_using\", 0) >= 1) {\n\t\tflags.mods.sunquan.charge = Math.min(flags.mods.sunquan.charge + 1, flags.mods.sunquan.maxCharge);\n\t\tcore.setFlag('sunquan_using', 0);\n\t\tif (core.rand2(2) == 1) {\n\t\t\tcore.drawTip(\"且慢！(技能已取消)\");\n\t\t} else {\n\t\t\tcore.drawTip(\"容我三思~ (技能已取消)\");\n\t\t}\n\t} else {\n\t\tif (flags.mods.sunquan.charge >= 1) {\n\t\t\tflags.mods.sunquan.charge--;\n\t\t\tif (core.rand2(2) == 1) {\n\t\t\t\tcore.playSound(\"zhiheng1.mp3\");\n\t\t\t} else {\n\t\t\t\tcore.playSound(\"zhiheng2.mp3\");\n\t\t\t}\n\t\t\tcore.setFlag('sunquan_using', 1);\n\t\t} else {\n\t\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t\t}\n\t}\n} else if (todo == \"jiexusheng\") {\n\t//界徐盛：如果已在该技能状态则取消技能，否则开技能\n\tif (core.getFlag(\"jiexusheng_using\", 0) >= 1) {\n\t\tflags.mods.jiexusheng.charge = Math.min(flags.mods.jiexusheng.charge + 1, flags.mods.jiexusheng.maxCharge);\n\t\tcore.setFlag('jiexusheng_using', 0);\n\t\tcore.drawTip(\"技能已取消\");\n\t} else {\n\t\tif (flags.mods.jiexusheng.charge >= 1) {\n\t\t\tflags.mods.jiexusheng.charge--;\n\t\t\tcore.playSound(\"pojun1.mp3\");\n\t\t\tcore.setFlag('jiexusheng_using', 1);\n\t\t} else {\n\t\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t\t}\n\t}\n} else if (todo == \"flipcoin\") {\n\t//许愿金币（充能模式）\n\tcore.insertCommonEvent(\"flipcoin\");\n\n} else if (todo == \"aleajactaest\") {\n\t//Alea jacta est\n\t//todo:固定所有小丑牌且不允许再获得小丑牌\n\tif (core.getFlag(\"aleajactaest_used\", 0) >= 1) {\n\t\tcore.drawTip(\"骰子已被掷下，你已无路可退\");\n\t} else {\n\t\tcore.playSound(\"20F.mp3\");\n\t\tcore.setFlag(\"aleajactaest_used\", 1);\n\t\tcore.drawTip(\"骰子已被掷下，宝石血瓶效果翻倍，本局游戏将无法买卖小丑牌\");\n\t}\n\n} else if (todo == \"tuihua\") {\n\t//倒行逆施（退化）\n\tif (flags.mods.tuihua.charge >= 1) {\n\t\tflags.mods.tuihua.charge--;\n\t\tcore.playSound(\"door.mp3\");\n\t\tcore.addFlag(\"tuihua\" + core.status.floorId, 1);\n\t\tfor (var x = 1; x <= 11; x++) {\n\t\t\tfor (var y = 1; y <= 11; y++) {\n\t\t\t\tvar enemyId = core.getBlockId(x, y);\n\t\t\t\tif (enemyId != \"swordEmperor\") {\n\t\t\t\t\t// 在哪个list中（且不是第一个），就生成低一级的怪物\n\t\t\t\t\tfor (var i = 1; i <= 9; i++) {\n\t\t\t\t\t\tif (core.getFlag(\"enemyList\" + i).indexOf(enemyId) >= 1) {\n\t\t\t\t\t\t\tcore.setBlock(core.getFlag(\"enemyList\" + i)[core.getFlag(\"enemyList\" + i).indexOf(enemyId) - 1], x, y);\n\t\t\t\t\t\t}\n\t\t\t\t\t}\n\t\t\t\t}\n\t\t\t}\n\t\t}\n\t} else {\n\t\tcore.drawTip(\"该小丑牌能量不足\");\n\t}\n\n}\n}"
					}
				]
			},
			{
				"type": "waitAsync"
			},
			{
				"type": "update"
			}
		],
		"黄盖加点": [
			{
				"type": "choices",
				"choices": [
					{
						"text": "攻击+${flags.arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:atk",
								"operator": "+=",
								"value": "flags.arg1"
							}
						]
					},
					{
						"text": "防御+${2*flags.arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:def",
								"operator": "+=",
								"value": "2*flags.arg1"
							}
						]
					},
					{
						"text": "取消",
						"action": []
					}
				]
			}
		],
		"新记事本": [
			{
				"type": "while",
				"condition": "1",
				"data": [
					{
						"type": "setValue",
						"name": "flag:图鉴",
						"value": "0"
					},
					{
						"type": "choices",
						"text": "\\c[16]点击查看拥有的小丑牌\n或查看小丑牌图鉴",
						"choices": [
							{
								"text": "${flags.nowmods[1].name}",
								"condition": "Object.keys(flags.nowmods[1]).length!==0&&flags.nowmods[1].rarity==1",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "1"
									}
								]
							},
							{
								"text": "\r[rgb(45,255,125)]${flags.nowmods[1].name}",
								"condition": "Object.keys(flags.nowmods[1]).length!==0&&flags.nowmods[1].rarity==2",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "1"
									}
								]
							},
							{
								"text": "\r[rgb(255,85,85)]${flags.nowmods[1].name}",
								"condition": "Object.keys(flags.nowmods[1]).length!==0&&flags.nowmods[1].rarity==3",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "1"
									}
								]
							},
							{
								"text": "${flags.nowmods[2].name}",
								"condition": "Object.keys(flags.nowmods[2]).length!==0&&flags.nowmods[2].rarity==1",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "2"
									}
								]
							},
							{
								"text": "\r[rgb(45,255,125)]${flags.nowmods[2].name}",
								"condition": "Object.keys(flags.nowmods[2]).length!==0&&flags.nowmods[2].rarity==2",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "2"
									}
								]
							},
							{
								"text": "\r[rgb(255,85,85)]${flags.nowmods[2].name}",
								"condition": "Object.keys(flags.nowmods[2]).length!==0&&flags.nowmods[2].rarity==3",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "2"
									}
								]
							},
							{
								"text": "${flags.nowmods[3].name}",
								"condition": "Object.keys(flags.nowmods[3]).length!==0&&flags.nowmods[3].rarity==1",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "3"
									}
								]
							},
							{
								"text": "\r[rgb(45,255,125)]${flags.nowmods[3].name}",
								"condition": "Object.keys(flags.nowmods[3]).length!==0&&flags.nowmods[3].rarity==2",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "3"
									}
								]
							},
							{
								"text": "\r[rgb(255,85,85)]${flags.nowmods[3].name}",
								"condition": "Object.keys(flags.nowmods[3]).length!==0&&flags.nowmods[3].rarity==3",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "3"
									}
								]
							},
							{
								"text": "${flags.nowmods[4].name}",
								"condition": "Object.keys(flags.nowmods[4]).length!==0&&flags.nowmods[4].rarity==1",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "4"
									}
								]
							},
							{
								"text": "\r[rgb(45,255,125)]${flags.nowmods[4].name}",
								"condition": "Object.keys(flags.nowmods[4]).length!==0&&flags.nowmods[4].rarity==2",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "4"
									}
								]
							},
							{
								"text": "\r[rgb(255,85,85)]${flags.nowmods[4].name}",
								"condition": "Object.keys(flags.nowmods[4]).length!==0&&flags.nowmods[4].rarity==3",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "4"
									}
								]
							},
							{
								"text": "${flags.nowmods[5].name}",
								"condition": "Object.keys(flags.nowmods[5]).length!==0&&flags.nowmods[5].rarity==1",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "5"
									}
								]
							},
							{
								"text": "\r[rgb(45,255,125)]${flags.nowmods[5].name}",
								"condition": "Object.keys(flags.nowmods[5]).length!==0&&flags.nowmods[5].rarity==2",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "5"
									}
								]
							},
							{
								"text": "\r[rgb(255,85,85)]${flags.nowmods[5].name}",
								"condition": "Object.keys(flags.nowmods[5]).length!==0&&flags.nowmods[5].rarity==3",
								"action": [
									{
										"type": "setValue",
										"name": "flag:choice",
										"value": "5"
									}
								]
							},
							{
								"text": "查看图鉴",
								"action": [
									{
										"type": "setValue",
										"name": "flag:图鉴",
										"value": "1"
									}
								]
							},
							{
								"text": "取消",
								"action": [
									{
										"type": "exit"
									}
								]
							}
						]
					},
					{
						"type": "if",
						"condition": "(flag:图鉴!=1)",
						"true": [
							{
								"type": "setValue",
								"name": "flag:tobuy",
								"value": "flags.nowmods[flags.choice]"
							},
							{
								"type": "choices",
								"text": "${flags.tobuy.name}：\n${flags.tobuy.description}\n\n版本：${flags.buffsCH[flags.tobuy.buff]}\n贴纸：${!(flags.tobuy.eternal||flags.tobuy.perishable||flags.tobuy.rental)?\"无\":\"\"}\r[rgb(255,85,85)]${flags.tobuy.eternal?\"永恒  \":\"\"}\r\r[rgb(136,136,255)]${flags.tobuy.perishable?\"易腐  \":\"\"}\r\r[gold]${flags.tobuy.rental?\"租赁\":\"\"}\r",
								"choices": [
									{
										"text": "出售($${flags.nowmods[flags.choice].price})",
										"condition": "!flags.nowmods[flags.choice].eternal",
										"action": [
											{
												"type": "if",
												"condition": "(flag:aleajactaest_used>=1)",
												"true": [
													{
														"type": "tip",
														"text": "骰子已被掷下，你已无路可退"
													}
												],
												"false": [
													{
														"type": "if",
														"condition": "(flags.nowmods[flags.choice].id==\"san\")",
														"true": [
															{
																"type": "setValue",
																"name": "status:money",
																"operator": "+=",
																"value": "Math.round(Math.pow(flags.mods.san.charge,2))"
															},
															{
																"type": "function",
																"function": "function(){\ncore.triggerDebuff(\"remove\", \"weak\");\ncore.triggerDebuff(\"remove\", \"curse\");\ncore.triggerDebuff(\"remove\", \"slow\");\n}"
															},
															{
																"type": "tip",
																"text": "三圣赐福期间，你一共击杀了 ${flags.mods.san.charge} 个怪物，获得 ${Math.round(Math.pow(flags.mods.san.charge,2))} 金币"
															}
														]
													},
													{
														"type": "if",
														"condition": "(flags.nowmods[flags.choice].id==\"wu\")",
														"true": [
															{
																"type": "function",
																"function": "function(){\n// 修改所有商人处和自己卡槽处六六大顺的描述\ncore.setFlag(\"wuSold\", 1);\nfor (var i in flags.traders) {\n\tfor (var j in flags.traders[i].sells) {\n\t\tif (flags.traders[i].sells[j].id == \"liu\") {\n\t\t\tflags.traders[i].sells[j].description = \"所有商店视为六区商店且不共享价格\";\n\t\t}\n\t}\n}\nfor (var i in flags.nowmods) {\n\tif (flags.nowmods[i].id == \"liu\") {\n\t\tflags.nowmods[i].description = \"所有商店视为六区商店且不共享价格\";\n\t}\n}\n}"
															},
															{
																"type": "tip",
																"text": "Math.round(5×1/2)=3; 5+1=?"
															}
														]
													},
													{
														"type": "playSound",
														"name": "item.mp3"
													},
													{
														"type": "function",
														"function": "function(){\n//同名变量操作\ncore.setFlag(flags.nowmods[flags.choice].id, 0);\n\nfor (const modId in flags.mods) {\n\tif (flags.mods.hasOwnProperty(modId)) {\n\t\tif (core.getFlag(flags.mods[modId].id, 0) > flags.choice) {\n\t\t\tcore.addFlag(flags.mods[modId].id, -1);\n\t\t}\n\t}\n}\n\n//对象操作\ncore.status.hero.money += flags.nowmods[flags.choice].price;\nif (flags.choice <= 1) {\n\tflags.nowmods[1] = flags.nowmods[2];\n}\nif (flags.choice <= 2) {\n\tflags.nowmods[2] = flags.nowmods[3];\n}\nif (flags.choice <= 3) {\n\tflags.nowmods[3] = flags.nowmods[4];\n}\nif (flags.choice <= 4) {\n\tflags.nowmods[4] = flags.nowmods[5];\n}\nflags.nowmods[5] = {};\nflags.mymodCount--;\n}"
													},
													{
														"type": "update"
													}
												]
											}
										]
									},
									{
										"text": "返回",
										"action": []
									}
								]
							}
						]
					},
					{
						"type": "setValue",
						"name": "flag:choice",
						"value": "0"
					},
					{
						"type": "while",
						"condition": "(flag:图鉴>=1)",
						"data": [
							{
								"type": "setValue",
								"name": "flag:查看图鉴",
								"value": "1"
							},
							{
								"type": "choices",
								"text": "第 ${Math.round(flags.choice/5)+1} 页",
								"choices": [
									{
										"text": "\r[aqua]上一页",
										"condition": "flags.choice>0",
										"action": [
											{
												"type": "setValue",
												"name": "flag:查看图鉴",
												"value": "0"
											},
											{
												"type": "setValue",
												"name": "flag:choice",
												"operator": "-=",
												"value": "5"
											}
										]
									},
									{
										"text": "${flags.collection[flags.choice].name}",
										"condition": "flags.choice<flags.modCount&&flags.collection[flags.choice].rarity==1",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "0"
											}
										]
									},
									{
										"text": "\r[rgb(45,255,125)]${flags.collection[flags.choice].name}",
										"condition": "flags.choice<flags.modCount&&flags.collection[flags.choice].rarity==2",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "0"
											}
										]
									},
									{
										"text": "\r[rgb(255,85,85)]${flags.collection[flags.choice].name}",
										"condition": "flags.choice<flags.modCount&&flags.collection[flags.choice].rarity==3",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "0"
											}
										]
									},
									{
										"text": "${flags.collection[flags.choice+1].name}",
										"condition": "flags.choice+1<flags.modCount&&flags.collection[flags.choice+1].rarity==1",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "1"
											}
										]
									},
									{
										"text": "\r[rgb(45,255,125)]${flags.collection[flags.choice+1].name}",
										"condition": "flags.choice+1<flags.modCount&&flags.collection[flags.choice+1].rarity==2",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "1"
											}
										]
									},
									{
										"text": "\r[rgb(255,85,85)]${flags.collection[flags.choice+1].name}",
										"condition": "flags.choice+1<flags.modCount&&flags.collection[flags.choice+1].rarity==3",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "1"
											}
										]
									},
									{
										"text": "${flags.collection[flags.choice+2].name}",
										"condition": "flags.choice+2<flags.modCount&&flags.collection[flags.choice+2].rarity==1",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "2"
											}
										]
									},
									{
										"text": "\r[rgb(45,255,125)]${flags.collection[flags.choice+2].name}",
										"condition": "flags.choice+2<flags.modCount&&flags.collection[flags.choice+2].rarity==2",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "2"
											}
										]
									},
									{
										"text": "\r[rgb(255,85,85)]${flags.collection[flags.choice+2].name}",
										"condition": "flags.choice+2<flags.modCount&&flags.collection[flags.choice+2].rarity==3",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "2"
											}
										]
									},
									{
										"text": "${flags.collection[flags.choice+3].name}",
										"condition": "flags.choice+3<flags.modCount&&flags.collection[flags.choice+3].rarity==1",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "3"
											}
										]
									},
									{
										"text": "\r[rgb(45,255,125)]${flags.collection[flags.choice+3].name}",
										"condition": "flags.choice+3<flags.modCount&&flags.collection[flags.choice+3].rarity==2",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "3"
											}
										]
									},
									{
										"text": "\r[rgb(255,85,85)]${flags.collection[flags.choice+3].name}",
										"condition": "flags.choice+3<flags.modCount&&flags.collection[flags.choice+3].rarity==3",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "3"
											}
										]
									},
									{
										"text": "${flags.collection[flags.choice+4].name}",
										"condition": "flags.choice+4<flags.modCount&&flags.collection[flags.choice+4].rarity==1",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "4"
											}
										]
									},
									{
										"text": "\r[rgb(45,255,125)]${flags.collection[flags.choice+4].name}",
										"condition": "flags.choice+4<flags.modCount&&flags.collection[flags.choice+4].rarity==2",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "4"
											}
										]
									},
									{
										"text": "\r[rgb(255,85,85)]${flags.collection[flags.choice+4].name}",
										"condition": "flags.choice+4<flags.modCount&&flags.collection[flags.choice+4].rarity==3",
										"action": [
											{
												"type": "setValue",
												"name": "flag:choice2",
												"value": "4"
											}
										]
									},
									{
										"text": "\r[pink]下一页",
										"condition": "flags.choice+5<flags.modCount",
										"action": [
											{
												"type": "setValue",
												"name": "flag:查看图鉴",
												"value": "0"
											},
											{
												"type": "setValue",
												"name": "flag:choice",
												"operator": "+=",
												"value": "5"
											}
										]
									},
									{
										"text": "返回",
										"action": [
											{
												"type": "setValue",
												"name": "flag:查看图鉴",
												"value": "0"
											},
											{
												"type": "setValue",
												"name": "flag:图鉴",
												"value": "0"
											}
										]
									}
								]
							},
							{
								"type": "setValue",
								"name": "flag:tobuy",
								"value": "flags.collection[flags.choice+flags.choice2]"
							},
							{
								"type": "if",
								"condition": "(flag:查看图鉴>=1)",
								"true": [
									{
										"type": "choices",
										"text": "${flags.tobuy.name}：\n${flags.tobuy.description}",
										"choices": [
											{
												"text": "获得此牌",
												"condition": "flag:测试模式>=1",
												"action": [
													{
														"type": "if",
														"condition": "(core.getFlag(flags.tobuy.id,0)===0)",
														"true": [
															{
																"type": "if",
																"condition": "(flag:mymodCount<5)",
																"true": [
																	{
																		"type": "playSound",
																		"name": "item.mp3"
																	},
																	{
																		"type": "function",
																		"function": "function(){\nflags.mymodCount++;\n//同名变量操作\ncore.setFlag(flags.tobuy.id, flags.mymodCount);\n//对象操作\nflags.nowmods[flags.mymodCount] = flags.tobuy;\n//collection\n//price变为售出价\nflags.nowmods[flags.mymodCount].price = 0;\ncore.updateStatusBar();\n}"
																	}
																],
																"false": [
																	{
																		"type": "tip",
																		"text": "小丑牌槽位已满！"
																	}
																]
															}
														],
														"false": [
															{
																"type": "tip",
																"text": "你已经有这张小丑牌了！"
															}
														]
													}
												]
											},
											{
												"text": "返回",
												"action": []
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"type": "update"
			}
		]
	}
}