main.floors.MT12=
{
    "floorId": "MT12",
    "title": "魔塔 第12层",
    "name": "第 12 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,122,  3,  0,  1, 21, 27, 21,  1,  0,  3,  3,  1],
    [  1,  1,  1,206,  1,  0,  1,  0,  1,  0,  1,  1,  1],
    [  1,  0,  0,  0,  1,218,  0,218,  1,  0,213,  0,  1],
    [  1, 81,  1,  1,  1,  1, 81,  1,  1,  1,  1,  0,  1],
    [  1,  0,218,  0, 81,  0,213,  0,  1, 31,  0,206,  1],
    [  1,  1,  1,  1,  1,  0,  0,218, 81,  0, 28,  0,  1],
    [  1, 21, 21,  0,  1,  0, 32,  0,  1, 21,  0,203,  1],
    [  1, 21, 22,  0,  1,  1,  1,  1,  1, 82,  1, 81,  1],
    [  1,  0,  0,213,  1,  7,131,  8,  1,203,  0,213,  1],
    [  1,  1,  1, 81,  1, 31,  0, 31,  1,  1,  0,  1,  1],
    [  1, 87,  0,  0,205,  0,  0,  0,205,  0,  0, 88,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 2,
    "defaultGround": "ground",
    "bgm": "MainTheme.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,9": [
            {
                "type": "setValue",
                "name": "flag:ratio",
                "value": "2"
            },
            {
                "type": "setValue",
                "name": "flag:shopratio",
                "value": "Math.max(core.getFlag('shopratio', 1), core.getFlag('ratio', 1))"
            },
            {
                "type": "insert",
                "name": "商店"
            }
        ],
        "11,1": [
            {
                "type": "choices",
                "text": "\t[商人,woman]\\c[20]$1000 \\c\\c[28]\\i[rightPortal]\\i[yellowKey]\\c",
                "choices": [
                    {
                        "text": "我太需要了",
                        "action": [
                            {
                                "type": "if",
                                "condition": "(status:money>=1000)",
                                "true": [
                                    {
                                        "type": "addValue",
                                        "name": "status:money",
                                        "value": "-1000"
                                    },
                                    {
                                        "type": "addValue",
                                        "name": "item:yellowKey",
                                        "value": "1"
                                    },
                                    {
                                        "type": "insert",
                                        "loc": [
                                            11,
                                            1
                                        ]
                                    }
                                ],
                                "false": [
                                    {
                                        "type": "tip",
                                        "text": "金币不足，无法交易"
                                    },
                                    {
                                        "type": "insert",
                                        "loc": [
                                            11,
                                            1
                                        ]
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "text": "我太太太太需要了",
                        "action": [
                            {
                                "type": "input",
                                "text": "想买多少把钥匙呢？本店无限供应~"
                            },
                            {
                                "type": "if",
                                "condition": "(status:money>=1000*flag:input)",
                                "true": [
                                    {
                                        "type": "setValue",
                                        "name": "status:money",
                                        "operator": "-=",
                                        "value": "1000*flag:input"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "item:yellowKey",
                                        "operator": "+=",
                                        "value": "flag:input"
                                    },
                                    {
                                        "type": "insert",
                                        "loc": [
                                            11,
                                            1
                                        ]
                                    }
                                ],
                                "false": [
                                    {
                                        "type": "tip",
                                        "text": "金币不足，无法交易"
                                    },
                                    {
                                        "type": "insert",
                                        "loc": [
                                            11,
                                            1
                                        ]
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "text": "下次再说",
                        "action": [
                            {
                                "type": "exit"
                            }
                        ]
                    }
                ]
            }
        ],
        "1,1": [
            {
                "type": "insert",
                "name": "返回商人价格"
            },
            {
                "type": "while",
                "condition": "1",
                "data": [
                    {
                        "type": "choices",
                        "text": "\t[商人,woman]\\c[20]$${flag:money}  \\c\\c[28]\\i[rightPortal]\\i[redKey]\\c",
                        "choices": [
                            {
                                "text": "我太需要了",
                                "action": [
                                    {
                                        "type": "if",
                                        "condition": "(status:money>=flag:money)",
                                        "true": [
                                            {
                                                "type": "setValue",
                                                "name": "status:money",
                                                "operator": "-=",
                                                "value": "flag:money"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "item:redKey",
                                                "operator": "+=",
                                                "value": "1"
                                            },
                                            {
                                                "type": "hide",
                                                "remove": true,
                                                "time": 500
                                            },
                                            {
                                                "type": "exit"
                                            }
                                        ],
                                        "false": [
                                            {
                                                "type": "tip",
                                                "text": "金币不足，无法交易"
                                            }
                                        ]
                                    }
                                ]
                            },
                            {
                                "text": "下次再说",
                                "action": [
                                    {
                                        "type": "exit"
                                    }
                                ]
                            }
                        ]
                    }
                ]
            }
        ]
    },
    "changeFloor": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {
        "11,1": [
            {
                "type": "setBlock",
                "number": "fairy"
            }
        ]
    },
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        2,
        11
    ],
    "downFloor": [
        10,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}