main.floors.MT29=
{
    "floorId": "MT29",
    "title": "魔塔 第29层",
    "name": "第 29 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  0,  0,  1,  1,  0,  0,  0,  1,  1,  0,  0,  1],
    [  1,  0,  1,  1,  1,  1,  3,  1,  1,  1,  1,  0,  1],
    [  1,  0,  1,  1,  1,  1,  0,  1,  1,  1,  1,  0,  1],
    [  1,  0,  1,  1,  1,  1,  0,  1,  1,  1,  1,  0,  1],
    [  1,  0,  1,  1,  1,  1,  0,  1,  1,  1,  1,  0,  1],
    [  1,  0,  1,  1,  1,  1,  0,  1,  1,  1,  1,  0,  1],
    [  1,  0,  1,  1,  1,  1,  0,  1,  1,  1,  1,  0,  1],
    [  1,  0,  1,  1,  1,  1,  0,  1,  1,  1,  1,  0,  1],
    [  1,  0,  0,  1,  1,  0,  0,  0,  1,  1,  0,  0,  1],
    [  1, 88,  0,  1,  1,  0, 87,  0,  1,  1,122,122,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 3,
    "defaultGround": "ground",
    "bgm": "MainTheme.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "10,11": [
            {
                "type": "while",
                "condition": "1",
                "data": [
                    {
                        "type": "choices",
                        "text": "\t[商人,woman]\\c[28]\\i[blueKey]\\i[rightPortal]\\c\\c[20]$100 \\c",
                        "choices": [
                            {
                                "text": "我太需要了",
                                "action": [
                                    {
                                        "type": "if",
                                        "condition": "(item:blueKey>=1)",
                                        "true": [
                                            {
                                                "type": "playSound",
                                                "name": "item.mp3"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "status:money",
                                                "operator": "+=",
                                                "value": "100"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "item:blueKey",
                                                "operator": "-=",
                                                "value": "1"
                                            }
                                        ],
                                        "false": [
                                            {
                                                "type": "tip",
                                                "text": "你没有蓝钥匙"
                                            }
                                        ]
                                    }
                                ]
                            },
                            {
                                "text": "我太太太太需要了",
                                "action": [
                                    {
                                        "type": "input",
                                        "text": "想卖多少把钥匙呢~"
                                    },
                                    {
                                        "type": "if",
                                        "condition": "(item:blueKey>=flag:input)",
                                        "true": [
                                            {
                                                "type": "setValue",
                                                "name": "status:money",
                                                "operator": "+=",
                                                "value": "100*flag:input"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "item:blueKey",
                                                "operator": "-=",
                                                "value": "flag:input"
                                            }
                                        ],
                                        "false": [
                                            {
                                                "type": "tip",
                                                "text": "你的蓝钥匙数量不足"
                                            }
                                        ]
                                    }
                                ]
                            },
                            {
                                "text": "下次再说",
                                "action": [
                                    {
                                        "type": "exit"
                                    }
                                ]
                            }
                        ]
                    }
                ]
            }
        ],
        "11,11": [
            {
                "type": "while",
                "condition": "1",
                "data": [
                    {
                        "type": "choices",
                        "text": "\t[商人,woman]\\c[28]\\i[redKey]\\i[rightPortal]\\c\\c[20]$100 \\c",
                        "choices": [
                            {
                                "text": "我太需要了",
                                "action": [
                                    {
                                        "type": "if",
                                        "condition": "(item:redKey>=1)",
                                        "true": [
                                            {
                                                "type": "playSound",
                                                "name": "item.mp3"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "status:money",
                                                "operator": "+=",
                                                "value": "100"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "item:redKey",
                                                "operator": "-=",
                                                "value": "1"
                                            }
                                        ],
                                        "false": [
                                            {
                                                "type": "tip",
                                                "text": "你没有红钥匙"
                                            }
                                        ]
                                    }
                                ]
                            },
                            {
                                "text": "我太太太太需要了",
                                "action": [
                                    {
                                        "type": "input",
                                        "text": "想卖多少把钥匙呢~"
                                    },
                                    {
                                        "type": "if",
                                        "condition": "(item:redKey>=flag:input)",
                                        "true": [
                                            {
                                                "type": "setValue",
                                                "name": "status:money",
                                                "operator": "+=",
                                                "value": "100*flag:input"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "item:redKey",
                                                "operator": "-=",
                                                "value": "flag:input"
                                            }
                                        ],
                                        "false": [
                                            {
                                                "type": "tip",
                                                "text": "你的红钥匙数量不足"
                                            }
                                        ]
                                    }
                                ]
                            },
                            {
                                "text": "下次再说",
                                "action": [
                                    {
                                        "type": "exit"
                                    }
                                ]
                            }
                        ]
                    }
                ]
            }
        ]
    },
    "changeFloor": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        6,
        10
    ],
    "downFloor": [
        1,
        10
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}