main.floors.MT10=
{
    "floorId": "MT10",
    "title": "魔塔 第10层",
    "name": "第 10 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  1,  1,  1,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,209,209,209,  1,  1,  0,  1,  1,209,209,209,  1],
    [  1,  0,210,  0, 85,  0,211,  0, 85,  0,210,  0,  1],
    [  1,  1,  1,  1,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,209, 28,209,  1,  1,  0,  1,  1,209, 27,209,  1],
    [  1,  0,210,  0,  1,  1,  0,  1,  1,  0,210,  0,  1],
    [  1,  0,  0,  0,  1,  1,  0,  1,  1,  0,  0,  0,  1],
    [  1, 81,  1, 81,  1,  1, 83,  1,  1, 81,  1, 81,  1],
    [  1,  0,  1,  0,  1,  0,  0,  0,  1,  0,  1,  0,  1],
    [  1, 88,  1,  0,217,  0,  0,  0,217,  0,  1,1000,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "bgm": "MainTheme.mp3",
    "firstArrive": [
        {
            "type": "playBgm",
            "name": "BossBlind.mp3"
        }
    ],
    "eachArrive": [
        {
            "type": "if",
            "condition": "(flag:10triggered==1)",
            "true": [
                {
                    "type": "if",
                    "condition": "(flag:10triggered10==1)",
                    "true": [],
                    "false": [
                        {
                            "type": "setValue",
                            "name": "flag:10triggered10",
                            "value": "1"
                        },
                        {
                            "type": "hide",
                            "loc": [
                                [
                                    11,
                                    11
                                ]
                            ],
                            "remove": true
                        }
                    ]
                }
            ],
            "false": []
        }
    ],
    "parallelDo": "",
    "events": {
        "6,5": [
            {
                "type": "setValue",
                "name": "flag:10Ftrap",
                "value": "1"
            },
            {
                "type": "closeDoor",
                "id": "specialDoor",
                "loc": [
                    6,
                    7
                ],
                "async": true
            },
            {
                "type": "openDoor",
                "loc": [
                    4,
                    4
                ],
                "async": true
            },
            {
                "type": "openDoor",
                "loc": [
                    8,
                    4
                ],
                "async": true
            },
            {
                "type": "setBlock",
                "number": "0",
                "loc": [
                    [
                        5,
                        6
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "0",
                "loc": [
                    [
                        7,
                        6
                    ]
                ]
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "move",
                "loc": [
                    6,
                    4
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "up:3"
                ]
            },
            {
                "type": "move",
                "loc": [
                    2,
                    4
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "right:3",
                    "down:2",
                    "right:1"
                ]
            },
            {
                "type": "move",
                "loc": [
                    10,
                    4
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "left:4"
                ]
            },
            {
                "type": "sleep",
                "time": 600
            },
            {
                "type": "move",
                "loc": [
                    3,
                    3
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "down:1",
                    "right:2",
                    "down:2"
                ]
            },
            {
                "type": "move",
                "loc": [
                    9,
                    3
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "down:1",
                    "left:2",
                    "down:2"
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            {
                "type": "move",
                "loc": [
                    2,
                    3
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "down:1",
                    "right:3",
                    "down:1"
                ]
            },
            {
                "type": "move",
                "loc": [
                    10,
                    3
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "down:1",
                    "left:3",
                    "down:1"
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            {
                "type": "move",
                "loc": [
                    1,
                    3
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "down:1",
                    "right:4"
                ]
            },
            {
                "type": "move",
                "loc": [
                    11,
                    3
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "down:1",
                    "left:4"
                ]
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "if",
                "condition": "(flag:10==8)",
                "true": [
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            4,
                            4
                        ],
                        "async": true
                    },
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            8,
                            4
                        ],
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    }
                ],
                "false": [
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            4,
                            4
                        ],
                        "async": true
                    },
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            8,
                            4
                        ],
                        "async": true
                    },
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            6,
                            3
                        ],
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    }
                ]
            },
            {
                "type": "setValue",
                "name": "flag:10Fover",
                "value": "1"
            },
            {
                "type": "hide",
                "remove": true
            }
        ]
    },
    "changeFloor": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        6,
        10
    ],
    "downFloor": [
        1,
        10
    ],
    "autoEvent": {
        "0,0": {
            "0": {
                "condition": "core.getFlag(\"10Fover\",0)==1&&\ncore.getBlockId(6,1)==null",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "playSound",
                        "name": "door.mp3",
                        "stop": true
                    },
                    {
                        "type": "setBlock",
                        "number": "27",
                        "loc": [
                            [
                                1,
                                3
                            ],
                            [
                                2,
                                3
                            ],
                            [
                                3,
                                3
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "28",
                        "loc": [
                            [
                                9,
                                3
                            ],
                            [
                                10,
                                3
                            ],
                            [
                                11,
                                3
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "32",
                        "loc": [
                            [
                                1,
                                4
                            ],
                            [
                                2,
                                4
                            ],
                            [
                                3,
                                4
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "21",
                        "loc": [
                            [
                                9,
                                4
                            ],
                            [
                                10,
                                4
                            ],
                            [
                                11,
                                4
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "87",
                        "loc": [
                            [
                                6,
                                11
                            ]
                        ]
                    },
                    {
                        "type": "hide",
                        "loc": [
                            [
                                11,
                                11
                            ]
                        ],
                        "floorId": "MT10",
                        "remove": true,
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            4,
                            4
                        ],
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            7
                        ],
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            8,
                            4
                        ],
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            3
                        ],
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    }
                ]
            },
            "1": null
        },
        "1,0": {
            "0": {
                "condition": "core.getFlag(\"10Ftrap\",0)==0&&\ncore.getBlockId(6,4)==null",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "playSound",
                        "name": "door.mp3",
                        "stop": true
                    },
                    {
                        "type": "setBlock",
                        "number": "27",
                        "loc": [
                            [
                                1,
                                3
                            ],
                            [
                                2,
                                3
                            ],
                            [
                                3,
                                3
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "28",
                        "loc": [
                            [
                                9,
                                3
                            ],
                            [
                                10,
                                3
                            ],
                            [
                                11,
                                3
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "32",
                        "loc": [
                            [
                                1,
                                4
                            ],
                            [
                                2,
                                4
                            ],
                            [
                                3,
                                4
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "21",
                        "loc": [
                            [
                                9,
                                4
                            ],
                            [
                                10,
                                4
                            ],
                            [
                                11,
                                4
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "87",
                        "loc": [
                            [
                                6,
                                11
                            ]
                        ]
                    },
                    {
                        "type": "hide",
                        "loc": [
                            [
                                11,
                                11
                            ]
                        ],
                        "floorId": "MT10",
                        "remove": true,
                        "async": true
                    },
                    {
                        "type": "hide",
                        "loc": [
                            [
                                6,
                                5
                            ]
                        ],
                        "remove": true,
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            4,
                            4
                        ],
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            7
                        ],
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            8,
                            4
                        ],
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            3
                        ],
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    }
                ]
            },
            "1": null
        },
        "2,0": {
            "0": {
                "condition": "core.getFlag(\"10Fover\",0)==1&&\ncore.getBlockId(5,4)==null&&\ncore.getBlockId(6,4)==null&&\ncore.getBlockId(7,4)==null&&\ncore.getBlockId(5,5)==null&&\ncore.getBlockId(7,5)==null&&\ncore.getBlockId(5,6)==null&&\ncore.getBlockId(6,6)==null&&\ncore.getBlockId(7,6)==null",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            3
                        ]
                    }
                ]
            },
            "1": null
        }
    },
    "beforeBattle": {},
    "cannotMoveIn": {}
}