main.floors.MT35=
{
    "floorId": "MT35",
    "title": "魔塔 第35层",
    "name": "第 35 层",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "MainTheme.mp3",
    "firstArrive": [],
    "eachArrive": [
        {
            "type": "if",
            "condition": "(flag:35tiemen==1)",
            "true": [
                {
                    "type": "openDoor",
                    "loc": [
                        4,
                        10
                    ]
                },
                {
                    "type": "setValue",
                    "name": "flag:35tiemen",
                    "value": "0"
                }
            ],
            "false": []
        }
    ],
    "parallelDo": "",
    "events": {},
    "changeFloor": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 87,  1],
    [  1,  0,  1,  1,  1,  1, 85,  1,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,189,190,191,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,192,193,194,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,195,257,196,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0, 86,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  0, 88,  0,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "downFloor": [
        6,
        10
    ],
    "upFloor": [
        10,
        1
    ],
    "autoEvent": {
        "0,0": {
            "0": {
                "condition": "core.getBlockId(6,7)==null",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            2
                        ],
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "snow",
                        "loc": [
                            [
                                6,
                                4
                            ]
                        ],
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "bluePotion",
                        "loc": [
                            [
                                5,
                                3
                            ],
                            [
                                6,
                                3
                            ],
                            [
                                7,
                                3
                            ]
                        ],
                        "async": true
                    },
                    {
                        "type": "hide",
                        "loc": [
                            [
                                5,
                                5
                            ],
                            [
                                6,
                                5
                            ],
                            [
                                7,
                                5
                            ],
                            [
                                5,
                                6
                            ],
                            [
                                6,
                                6
                            ],
                            [
                                7,
                                6
                            ],
                            [
                                5,
                                7
                            ],
                            [
                                7,
                                7
                            ]
                        ],
                        "remove": true,
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    }
                ]
            },
            "1": null
        }
    },
    "beforeBattle": {},
    "cannotMoveIn": {}
}