main.floors.MT42=
{
    "floorId": "MT42",
    "title": "魔塔 第42层",
    "name": "第 42 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 87,  0,  0,  1,  0,  0, 23,  1, 21, 22, 21,  1],
    [  1,  0,  0,204,  1,  0,  0,  0,  1, 21, 21, 21,  1],
    [  1,  1,  1, 81,  1,  0,  0,  0,  1,  1,  0,  1,  1],
    [  1,1000,  0,  0,  1,  1,228,  1,  1,219,  0,220,  1],
    [  1,  0,  0,204, 81,  0,  0,  0, 81,  0,  0,  0,  1],
    [  1, 81,  1,  1,  1,  1,  0,  1,  1,  0,  0,219,  1],
    [  1,  0,  0,  0,  1,  0,  0,  0,  1,  1,  0,  1,  1],
    [  1,  1,  1,207,  1,  0,  0,  0,  1,246,  0,246,  1],
    [  1, 32, 21, 21,  1,  1,  0,  1,  1,  1,  0,  1,  1],
    [  1,207,  1,  1,  1,  0,226,  0,  1, 21, 21, 21,  1],
    [  1, 21, 21, 28,  1,  0, 88,  0,  1, 21, 22, 21,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 5,
    "defaultGround": "ground",
    "bgm": "MainTheme.mp3",
    "firstArrive": [],
    "eachArrive": [
        {
            "type": "if",
            "condition": "(flag:49triggered==1)",
            "true": [
                {
                    "type": "if",
                    "condition": "(flag:49triggered42==1)",
                    "true": [],
                    "false": [
                        {
                            "type": "setValue",
                            "name": "flag:49triggered42",
                            "value": "1"
                        },
                        {
                            "type": "hide",
                            "loc": [
                                [
                                    1,
                                    4
                                ]
                            ],
                            "remove": true
                        }
                    ]
                }
            ],
            "false": []
        }
    ],
    "parallelDo": "",
    "events": {},
    "changeFloor": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        1,
        2
    ],
    "downFloor": [
        5,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {
        "6,10": [
            {
                "type": "if",
                "condition": "(status:direction=='down')",
                "true": [],
                "false": [
                    {
                        "type": "move",
                        "time": 200,
                        "keep": true,
                        "steps": [
                            "up:2"
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "redKing",
                        "loc": [
                            [
                                6,
                                6
                            ]
                        ],
                        "time": 500
                    },
                    {
                        "type": "setBlock",
                        "number": "whiteKing",
                        "loc": [
                            [
                                6,
                                7
                            ],
                            [
                                5,
                                8
                            ],
                            [
                                7,
                                8
                            ],
                            [
                                6,
                                9
                            ]
                        ],
                        "time": 500
                    },
                    {
                        "type": "playSound",
                        "name": "attack.mp3"
                    },
                    {
                        "type": "function",
                        "function": "function(){\ncore.drawImage(\"animate\", core.statusBar.icons.battle, 0, 0, 32, 32, (6 - 1) * 32, (8 - 1) * 32, 32, 32);\nsetTimeout(function () {\n\tcore.clearMap(\"animate\", (6 - 1) * 32, (8 - 1) * 32, 32, 32);\n}, 100);\n}"
                    },
                    {
                        "type": "hide",
                        "loc": [
                            [
                                6,
                                8
                            ]
                        ],
                        "remove": true,
                        "time": 500
                    },
                    {
                        "type": "hide",
                        "loc": [
                            [
                                6,
                                6
                            ],
                            [
                                6,
                                7
                            ],
                            [
                                5,
                                8
                            ],
                            [
                                7,
                                8
                            ],
                            [
                                6,
                                9
                            ]
                        ],
                        "remove": true,
                        "time": 500
                    },
                    {
                        "type": "hide",
                        "remove": true,
                        "time": 0
                    }
                ]
            }
        ]
    },
    "cannotMoveIn": {}
}