var items_296f5d02_12fd_4166_a7c1_b5e830c9ee3a = 
{
	"yellowKey": {
		"cls": "tools",
		"name": "黄钥匙",
		"text": "可以打开一扇黄门",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"blueKey": {
		"cls": "tools",
		"name": "蓝钥匙",
		"text": "可以打开一扇蓝门",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"redKey": {
		"cls": "tools",
		"name": "红钥匙",
		"text": "可以打开一扇红门",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"redGem": {
		"cls": "items",
		"name": "红宝石",
		"text": "攻击+${core.values.redGem}",
		"itemEffect": "var ratio = core.status.thisMap.ratio;\nvar add = 0;\nvar mult = 1;\nif (core.getFlag(\"reincarnation\", 0) >= 1) ratio += 3;\nratio -= core.getFlag(\"tuihua\" + core.status.floorId, 0);\nif (core.getFlag(\"aleajactaest_used\", 0) >= 1) mult++;\n\ncore.setFlag(\"redGem\", (ratio) * (1 + add) * (mult));\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.redGem = parseInt(flags.redGem, 16);\n}\n\ncore.status.hero.atk += flags.redGem;",
		"itemEffectTip": "，提升 ${flags.redGem} 点攻击",
		"useItemEffect": "core.status.hero.atk += core.values.redGem",
		"canUseItemEffect": "true"
	},
	"blueGem": {
		"cls": "items",
		"name": "蓝宝石",
		"text": "，防御+${core.values.blueGem}",
		"itemEffect": "var ratio = core.status.thisMap.ratio;\nvar add = 0;\nvar mult = 1;\nif (core.getFlag(\"reincarnation\", 0) >= 1) ratio += 3;\nratio -= core.getFlag(\"tuihua\" + core.status.floorId, 0);\nif (core.getFlag(\"aleajactaest_used\", 0) >= 1) ratio *= 2;\n\ncore.setFlag(\"blueGem\", (ratio) * (1 + add) * (mult));\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.blueGem = parseInt(flags.blueGem, 16);\n}\n\ncore.status.hero.def += flags.blueGem;",
		"itemEffectTip": "，提升 ${flags.blueGem} 点防御",
		"useItemEffect": "core.status.hero.def += core.values.blueGem",
		"canUseItemEffect": "true"
	},
	"greenGem": {
		"cls": "items",
		"name": "绿宝石",
		"text": "，护盾+${core.values.greenGem}",
		"itemEffect": "core.status.hero.mdef += core.values.greenGem * core.status.thisMap.ratio",
		"itemEffectTip": "，护盾+${core.values.greenGem * core.status.thisMap.ratio}，当前护盾：${core.status.hero.mdef}",
		"useItemEffect": "core.status.hero.mdef += core.values.greenGem",
		"canUseItemEffect": "true"
	},
	"yellowGem": {
		"cls": "items",
		"name": "黄宝石",
		"text": "可以进行加点",
		"itemEffect": "core.status.hero.hp+=1000;core.status.hero.atk+=6;core.status.hero.def+=6;core.status.hero.mdef+=10;",
		"itemEffectTip": "，全属性提升",
		"useItemEvent": [
			{
				"type": "choices",
				"choices": [
					{
						"text": "攻击+1",
						"action": [
							{
								"type": "setValue",
								"name": "status:atk",
								"operator": "+=",
								"value": "1"
							}
						]
					},
					{
						"text": "防御+2",
						"action": [
							{
								"type": "setValue",
								"name": "status:def",
								"operator": "+=",
								"value": "2"
							}
						]
					},
					{
						"text": "生命+200",
						"action": [
							{
								"type": "setValue",
								"name": "status:hp",
								"operator": "+=",
								"value": "200"
							}
						]
					}
				]
			}
		],
		"canUseItemEffect": "true"
	},
	"redPotion": {
		"cls": "items",
		"name": "红血瓶",
		"text": "，生命+${core.values.redPotion}",
		"itemEffect": "var ratio = core.status.thisMap.ratio;\nvar add = 0;\nvar mult = 1;\nif (core.getFlag(\"reincarnation\", 0) >= 1) ratio += 3;\nratio -= core.getFlag(\"tuihua\" + core.status.floorId, 0);\nif (core.getFlag(\"qigong\", 0) >= 1) add += 0.25;\nif (core.getFlag(\"maytheforce\", 0) >= 1) add += 0.5;\nif (core.getFlag(\"greengem\", 0) >= 1) mult /= core.values.redPotion;\nif (core.getFlag(\"lan_dizhen\" + core.status.floorId, 0) >= 1) mult = 0;\nif (core.getFlag(\"aleajactaest_used\", 0) >= 1) mult *= 2;\n\ncore.setFlag(\"redPotion\", core.values.redPotion * (ratio) * (1 + add) * (mult));\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.redPotion = parseInt(flags.redPotion, 16);\n}\n\nif (core.getFlag(\"greengem\", 0) >= 1) {\n\tcore.status.hero.mdef += flags.redPotion;\n} else {\n\tcore.status.hero.hp += flags.redPotion;\n}",
		"itemEffectTip": "，提升 ${\n\tif (core.getFlag(\"greengem\", 0) >= 1) {\n\t\tflags.redPotion + \" 点护盾，当前护盾：\" + core.status.hero.mdef\n\t}\n\telse {\n\t\tflags.redPotion + \" 点生命\"\n\t}\n}",
		"useItemEffect": "core.status.hero.hp += core.values.redPotion",
		"canUseItemEffect": "true"
	},
	"bluePotion": {
		"cls": "items",
		"name": "蓝血瓶",
		"text": "，生命+${core.values.bluePotion}",
		"itemEffect": "var ratio = core.status.thisMap.ratio;\nvar add = 0;\nvar mult = 1;\nif (core.getFlag(\"reincarnation\", 0) >= 1) ratio += 3;\nratio -= core.getFlag(\"tuihua\" + core.status.floorId, 0);\nif (core.getFlag(\"sokoban\" + core.status.floorId, 0) >= 1) add -= 0.25;\nif (core.getFlag(\"qigong\", 0) >= 1) add += 0.25;\nif (core.getFlag(\"maytheforce\", 0) >= 1) add += 0.5;\nif (core.getFlag(\"lan_dizhen\" + core.status.floorId, 0) >= 1) mult = 0;\nif (core.getFlag(\"aleajactaest_used\", 0) >= 1) mult *= 2;\n\ncore.setFlag(\"bluePotion\", core.values.bluePotion * (ratio) * (1 + add) * (mult));\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.bluePotion = parseInt(flags.bluePotion, 16);\n}\n\ncore.status.hero.hp += flags.bluePotion;",
		"itemEffectTip": "，提升 ${flags.bluePotion} 点生命",
		"useItemEffect": "core.status.hero.hp += core.values.bluePotion",
		"canUseItemEffect": "true"
	},
	"yellowPotion": {
		"cls": "items",
		"name": "黄血瓶",
		"text": "，生命+${core.values.yellowPotion}",
		"itemEffect": "core.status.hero.hp += core.values.yellowPotion * core.status.thisMap.ratio",
		"itemEffectTip": "，生命+${core.values.yellowPotion * core.status.thisMap.ratio}",
		"useItemEffect": "core.status.hero.hp += core.values.yellowPotion",
		"canUseItemEffect": "true"
	},
	"greenPotion": {
		"cls": "items",
		"name": "绿血瓶",
		"text": "，生命+${core.values.greenPotion}",
		"itemEffect": "core.status.hero.hp += core.values.greenPotion * core.status.thisMap.ratio",
		"itemEffectTip": "，生命+${core.values.greenPotion * core.status.thisMap.ratio}",
		"useItemEffect": "core.status.hero.hp += core.values.greenPotion",
		"canUseItemEffect": "true"
	},
	"sword0": {
		"cls": "items",
		"name": "破旧的剑",
		"text": "一把已经生锈的剑",
		"equip": {
			"type": 0,
			"animate": "sword",
			"value": {
				"atk": 0
			}
		},
		"itemEffect": "core.status.hero.atk += 0",
		"itemEffectTip": "，攻击+0"
	},
	"sword1": {
		"cls": "items",
		"name": "铁剑",
		"text": "一把很普通的铁剑",
		"equip": {
			"type": 0,
			"animate": "sword",
			"value": {
				"atk": 10
			}
		},
		"itemEffect": "core.setFlag(\"sword1\", 10);\n\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.sword1 = 16;\n}\ncore.status.hero.atk += flags.sword1;\ncore.setFlag('nowWeapon', 'sword1');",
		"itemEffectTip": "，提升 ${flags.sword1} 点攻击"
	},
	"sword2": {
		"cls": "items",
		"name": "银剑",
		"text": "一把很普通的银剑",
		"equip": {
			"type": 0,
			"animate": "sword",
			"value": {
				"atk": 20
			}
		},
		"itemEffect": "core.setFlag(\"sword2\", 20);\n\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.sword2 = 32;\n}\ncore.status.hero.atk += flags.sword2;\ncore.setFlag('nowWeapon', 'sword2');",
		"itemEffectTip": "，提升 ${flags.sword2} 点攻击"
	},
	"sword3": {
		"cls": "items",
		"name": "骑士剑",
		"text": "一把很普通的骑士剑",
		"equip": {
			"type": 0,
			"animate": "sword",
			"value": {
				"atk": 40
			}
		},
		"itemEffect": "core.setFlag(\"sword3\", 40);\n\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.sword3 = 64;\n}\ncore.status.hero.atk += flags.sword3;\ncore.setFlag('nowWeapon', 'sword3');",
		"itemEffectTip": "，提升 ${flags.sword3} 点攻击"
	},
	"sword4": {
		"cls": "items",
		"name": "圣剑",
		"text": "一把很普通的圣剑",
		"equip": {
			"type": 0,
			"animate": "sword",
			"value": {
				"atk": 80
			}
		},
		"itemEffect": "core.setFlag(\"sword4\", 50);\n\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.sword4 = 80;\n}\ncore.status.hero.atk += flags.sword4;\ncore.setFlag('nowWeapon', 'sword4');",
		"itemEffectTip": "，提升 ${flags.sword4} 点攻击"
	},
	"sword5": {
		"cls": "items",
		"name": "神圣剑",
		"text": "一把很普通的神圣剑",
		"equip": {
			"type": 0,
			"animate": "sword",
			"value": {
				"atk": 160
			}
		},
		"itemEffect": "core.setFlag(\"sword5\", 100);\n\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.sword5 = 256;\n}\ncore.status.hero.atk += flags.sword5;\ncore.setFlag('nowWeapon', 'sword5');",
		"itemEffectTip": "，提升 ${flags.sword5} 点攻击"
	},
	"shield0": {
		"cls": "items",
		"name": "破旧的盾",
		"text": "一个很破旧的铁盾",
		"equip": {
			"type": 1,
			"value": {
				"def": 0
			}
		},
		"itemEffect": "core.status.hero.def += 0",
		"itemEffectTip": "，防御+0"
	},
	"shield1": {
		"cls": "items",
		"name": "铁盾",
		"text": "一个很普通的铁盾",
		"equip": {
			"type": 1,
			"value": {
				"def": 10
			}
		},
		"itemEffect": "core.setFlag(\"shield1\", 10);\n\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.shield1 = 16;\n}\ncore.status.hero.def += flags.shield1;\ncore.setFlag('nowShield', 'shield1');",
		"itemEffectTip": "，提升 ${flags.shield1} 点防御"
	},
	"shield2": {
		"cls": "items",
		"name": "银盾",
		"text": "一个很普通的银盾",
		"equip": {
			"type": 1,
			"value": {
				"def": 20
			}
		},
		"itemEffect": "core.setFlag(\"shield2\", 20);\n\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.shield2 = 32;\n}\ncore.status.hero.def += flags.shield2;\ncore.setFlag('nowShield', 'shield2');",
		"itemEffectTip": "，提升 ${flags.shield2} 点防御"
	},
	"shield3": {
		"cls": "items",
		"name": "骑士盾",
		"text": "一个很普通的骑士盾",
		"equip": {
			"type": 1,
			"value": {
				"def": 40
			}
		},
		"itemEffect": "core.setFlag(\"shield3\", 40);\n\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.shield3 = 64;\n}\ncore.status.hero.def += flags.shield3;\ncore.setFlag('nowShield', 'shield3');",
		"itemEffectTip": "，提升 ${flags.shield3} 点防御"
	},
	"shield4": {
		"cls": "items",
		"name": "圣盾",
		"text": "一个很普通的圣盾",
		"equip": {
			"type": 1,
			"value": {
				"def": 80
			}
		},
		"itemEffect": "core.setFlag(\"shield4\", 50);\n\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.shield4 = 80;\n}\ncore.status.hero.def += flags.shield4;\ncore.setFlag('nowShield', 'shield4');",
		"itemEffectTip": "，提升 ${flags.shield4} 点防御"
	},
	"shield5": {
		"cls": "items",
		"name": "神圣盾",
		"text": "一个很普通的神圣盾",
		"equip": {
			"type": 1,
			"value": {
				"def": 100,
				"mdef": 100
			}
		},
		"itemEffect": "core.setFlag(\"shield55\", 100);\n\nif (core.getFlag(\"hex\", 0) >= 1) {\n\tflags.shield55 = 256;\n}\ncore.status.hero.def += flags.shield55;\ncore.setFlag('nowShield', 'shield5');\ncore.setFlag('shield5', 1);",
		"itemEffectTip": "，提升 ${flags.shield55} 点防御，并免疫魔法伤害"
	},
	"superPotion": {
		"cls": "tools",
		"name": "圣水",
		"itemEffect": "core.status.hero.hp *= 2",
		"itemEffectTip": "生命翻倍",
		"useItemEffect": "var hp = Math.round((10 * core.status.hero.atk + 5 * core.status.hero.def))\ncore.status.hero.hp += hp;\ncore.insertAction([\n\t{ \"type\": \"playSound\", \"name\": \"item.mp3\" },\n\t{ \"type\": \"tip\", \"text\": \"使用圣水，增加 \" + hp + \" 生命\" },\n]);",
		"canUseItemEffect": "true",
		"text": "回复(10×攻击+5×防御)的生命",
		"hideInToolbox": false,
		"hideInReplay": true
	},
	"book": {
		"cls": "constants",
		"name": "怪物手册",
		"text": "可以查看当前楼层各怪物属性",
		"hideInToolbox": true,
		"useItemEffect": "core.ui.drawBook(0);",
		"canUseItemEffect": "true",
		"hideInReplay": true
	},
	"fly": {
		"cls": "constants",
		"name": "楼层传送器",
		"text": "可以自由往来去过的楼层",
		"hideInReplay": true,
		"hideInToolbox": true,
		"useItemEffect": "core.ui.drawFly(core.floorIds.indexOf(core.status.floorId));",
		"canUseItemEffect": "(function () {\n\tif (core.flags.flyNearStair && !core.nearStair()) return false;\n\treturn core.status.maps[core.status.floorId].canFlyFrom;\n})();"
	},
	"coin": {
		"cls": "tools",
		"name": "幸运金币",
		"text": "持有时打败怪物可获得X+1倍金币(X为幸运金币的数量)",
		"hideInToolbox": false,
		"hideInReplay": true,
		"canUseItemEffect": "false"
	},
	"snow": {
		"cls": "constants",
		"name": "冰冻徽章",
		"text": "可以将本层的熔岩变成平地",
		"useItemEffect": "(function () {\n\tfor (var i = 1; i <= 11; i++) {\n\t\tfor (var j = 1; j <= 11; j++) {\n\t\t\tif (core.getBlockId(i, j) == \"lava\") {\n\t\t\t\tcore.removeBlock(i, j);\n\t\t\t}\n\t\t}\n\t}\n\tcore.playSound('door.mp3');\n\tcore.drawTip(core.material.items[itemId].name + '使用成功');\n})();",
		"canUseItemEffect": "true",
		"hideInToolbox": false,
		"hideInReplay": true
	},
	"cross": {
		"cls": "constants",
		"name": "十字架",
		"text": "对不死族怪物攻击加倍",
		"hideInToolbox": false,
		"hideInReplay": true
	},
	"knife": {
		"cls": "constants",
		"name": "屠龙匕首",
		"text": "对魔龙攻击加倍",
		"hideInToolbox": false,
		"hideInReplay": true
	},
	"amulet": {
		"cls": "constants",
		"name": "护符",
		"text": "持有时无视负面地形",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"bigKey": {
		"cls": "tools",
		"name": "大黄门炸弹",
		"text": "可以炸掉当前层所有黄门",
		"itemEffect": "core.addItem('yellowKey', 1);\ncore.addItem('blueKey', 1);\ncore.addItem('redKey', 1);",
		"itemEffectTip": "，全钥匙+1",
		"useItemEffect": "(function () {\n\tfor (var i = 1; i <= 11; i++) {\n\t\tfor (var j = 1; j <= 11; j++) {\n\t\t\tif (core.getBlockId(i, j) == \"yellowDoor\") {\n\t\t\t\tcore.removeBlock(i, j);\n\t\t\t}\n\t\t}\n\t}\n\tcore.playSound('bomb.mp3');\n\tcore.drawTip(core.material.items[itemId].name + '使用成功');\n})();",
		"canUseItemEffect": "true",
		"hideInToolbox": false,
		"hideInReplay": true
	},
	"greenKey": {
		"cls": "tools",
		"name": "绿钥匙",
		"text": "可以打开一扇绿门",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"steelKey": {
		"cls": "tools",
		"name": "铁门钥匙",
		"text": "可以打开一扇铁门",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"pickaxe": {
		"cls": "tools",
		"name": "破墙镐",
		"text": "可以破坏勇士四周的墙",
		"useItemEffect": "(function () {\n\tvar canBreak = function (x, y) {\n\t\tvar block = core.getBlock(x, y);\n\t\tif (block == null || block.disable) return false;\n\t\treturn block.event.canBreak;\n\t};\n\n\tvar success = false;\n\tvar pickaxeFourDirections = true; // 是否多方向破；如果是将其改成true\n\tif (pickaxeFourDirections) {\n\t\t// 多方向破\n\t\tfor (var direction in core.utils.scan) { // 多方向破默认四方向，如需改成八方向请将这两个scan改为scan2\n\t\t\tvar delta = core.utils.scan[direction];\n\t\t\tvar nx = core.getHeroLoc('x') + delta.x,\n\t\t\t\tny = core.getHeroLoc('y') + delta.y;\n\t\t\ttrue\n\t\t\tif (canBreak(nx, ny)) {\n\t\t\t\tcore.removeBlock(nx, ny);\n\t\t\t\tsuccess = true;\n\t\t\t}\n\t\t}\n\t} else {\n\t\t// 仅破当前\n\t\tif (canBreak(core.nextX(), core.nextY())) {\n\t\t\tcore.removeBlock(core.nextX(), core.nextY());\n\t\t\tsuccess = true;\n\t\t}\n\t}\n\n\tif (success) {\n\t\tcore.playSound('破墙镐');\n\t\tcore.drawTip(core.material.items[itemId].name + '使用成功', itemId);\n\t} else {\n\t\t// 无法使用\n\t\tcore.playSound('操作失败');\n\t\tcore.drawTip(\"当前无法使用\" + core.material.items[itemId].name, itemId);\n\t\tcore.addItem(itemId, 1);\n\t\treturn;\n\t}\n})();",
		"canUseItemEffect": "true",
		"hideInToolbox": false,
		"hideInReplay": true
	},
	"icePickaxe": {
		"cls": "tools",
		"name": "破冰镐",
		"text": "可以破坏勇士面前的一堵冰墙",
		"useItemEffect": "(function () {\n\tcore.drawTip(core.material.items[itemId].name + '使用成功', itemId);\n\tcore.insertAction({ \"type\": \"openDoor\", \"loc\": [\"core.nextX()\", \"core.nextY()\"] });\n})();",
		"canUseItemEffect": "(function () {\n\treturn core.getBlockId(core.nextX(), core.nextY()) == 'ice';\n})();",
		"hideInToolbox": false,
		"hideInReplay": true
	},
	"bomb": {
		"cls": "tools",
		"name": "炸弹",
		"text": "可以炸掉勇士四周的怪物",
		"useItemEffect": "(function () {\n\tvar bombList = []; // 炸掉的怪物坐标列表\n\tvar todo = []; // 炸弹后事件\n\tvar money = 0,\n\t\texp = 0; // 炸弹获得的金币和经验\n\n\tvar canBomb = function (x, y) {\n\t\tvar block = core.getBlock(x, y);\n\t\tif (block == null || block.disable || block.event.cls.indexOf('enemy') != 0) return false;\n\t\tvar enemy = core.material.enemys[block.event.id];\n\t\treturn enemy && !enemy.notBomb;\n\t};\n\n\tvar bomb = function (x, y) {\n\t\tif (!canBomb(x, y)) return;\n\t\tbombList.push([x, y]);\n\t\tvar id = core.getBlockId(x, y),\n\t\t\tenemy = core.material.enemys[id];\n\t\tmoney += core.getEnemyValue(enemy, 'money', x, y) || 0;\n\t\texp += core.getEnemyValue(enemy, 'exp', x, y) || 0;\n\t\tcore.push(todo, core.floors[core.status.floorId].afterBattle[x + \",\" + y]);\n\t\tcore.push(todo, enemy.afterBattle);\n\t\tcore.removeBlock(x, y);\n\t}\n\n\t// 如果要多方向可炸，把这里的false改成true\n\tif (true) {\n\t\tvar scan = core.utils.scan; // 多方向炸时默认四方向，如果要改成八方向炸可以改成 core.utils.scan2\n\t\tfor (var direction in scan) {\n\t\t\tvar delta = scan[direction];\n\t\t\tbomb(core.getHeroLoc('x') + delta.x, core.getHeroLoc('y') + delta.y);\n\t\t}\n\t} else {\n\t\t// 仅炸当前\n\t\tbomb(core.nextX(), core.nextY());\n\t}\n\n\tif (bombList.length == 0) {\n\t\tcore.playSound('操作失败');\n\t\tcore.drawTip('当前无法使用' + core.material.items[itemId].name, itemId);\n\t\tcore.addItem(itemId, 1);\n\t\treturn;\n\t}\n\n\tcore.playSound('炸弹');\n\tcore.drawTip(core.material.items[itemId].name + '使用成功，你获得了 ' + money + ' 金币');\n\n\t// 取消这里的注释可以炸弹后获得金币和经验\n\tcore.status.hero.money += money;\n\t// core.status.hero.exp += exp;\n\n\t// 取消这里的注释可以炸弹引发战后事件\n\tif (todo.length > 0) core.insertAction(todo);\n})();",
		"canUseItemEffect": "true",
		"hideInToolbox": false,
		"hideInReplay": true
	},
	"centerFly": {
		"cls": "tools",
		"name": "瞬移",
		"text": "可以飞向地图中心对称位置的空地",
		"useItemEffect": "core.playSound('centerFly.mp3');\ncore.clearMap('hero');\ncore.setHeroLoc('x', core.bigmap.width - 1 - core.getHeroLoc('x'));\ncore.setHeroLoc('y', core.bigmap.height - 1 - core.getHeroLoc('y'));\ncore.drawHero();\ncore.setFlag('talking', 0);\ncore.drawTip(core.material.items[itemId].name + '使用成功');",
		"canUseItemEffect": "(function () {\n\tvar toX = core.bigmap.width - 1 - core.getHeroLoc('x'),\n\t\ttoY = core.bigmap.height - 1 - core.getHeroLoc('y');\n\tvar id = core.getBlockId(toX, toY);\n\treturn id == null;\n})();",
		"hideInToolbox": false,
		"hideInReplay": true
	},
	"upFly": {
		"cls": "tools",
		"name": "上楼器",
		"text": "可以飞往楼上的相同位置的空地",
		"useItemEffect": "(function () {\n\tvar floorId = core.floorIds[core.floorIds.indexOf(core.status.floorId) + 1];\n\tif (core.status.event.id == 'action') {\n\t\tcore.insertAction([\n\t\t\t{ \"type\": \"changeFloor\", \"loc\": [core.getHeroLoc('x'), core.getHeroLoc('y')], \"floorId\": floorId },\n\t\t\t{ \"type\": \"tip\", \"text\": core.material.items[itemId].name + '使用成功' }\n\t\t]);\n\t} else {\n\t\tcore.changeFloor(floorId, null, core.status.hero.loc, null, function () {\n\t\t\tcore.drawTip(core.material.items[itemId].name + '使用成功');\n\t\t\tcore.replay();\n\t\t});\n\t}\n})();",
		"canUseItemEffect": "(function () {\n\tvar floorId = core.status.floorId,\n\t\tindex = core.floorIds.indexOf(floorId);\n\tif (index < core.floorIds.length - 1) {\n\t\tvar toId = core.floorIds[index + 1],\n\t\t\ttoX = core.getHeroLoc('x'),\n\t\t\ttoY = core.getHeroLoc('y');\n\t\tvar mw = core.floors[toId].width,\n\t\t\tmh = core.floors[toId].height;\n\t\tif (toX >= 0 && toX < mw && toY >= 0 && toY < mh && core.getBlock(toX, toY, toId) == null) {\n\t\t\treturn true;\n\t\t}\n\t}\n\treturn false;\n})();",
		"hideInToolbox": false,
		"hideInReplay": true
	},
	"downFly": {
		"cls": "tools",
		"name": "下楼器",
		"text": "可以飞往楼下的相同位置的空地",
		"useItemEffect": "(function () {\n\tvar floorId = core.floorIds[core.floorIds.indexOf(core.status.floorId) - 1];\n\tif (core.status.event.id == 'action') {\n\t\tcore.insertAction([\n\t\t\t{ \"type\": \"changeFloor\", \"loc\": [core.getHeroLoc('x'), core.getHeroLoc('y')], \"floorId\": floorId },\n\t\t\t{ \"type\": \"tip\", \"text\": core.material.items[itemId].name + '使用成功' }\n\t\t]);\n\t} else {\n\t\tcore.changeFloor(floorId, null, core.status.hero.loc, null, function () {\n\t\t\tcore.drawTip(core.material.items[itemId].name + '使用成功');\n\t\t\tcore.replay();\n\t\t});\n\t}\n})();",
		"canUseItemEffect": "(function () {\n\tvar floorId = core.status.floorId,\n\t\tindex = core.floorIds.indexOf(floorId);\n\tif (index > 0) {\n\t\tvar toId = core.floorIds[index - 1],\n\t\t\ttoX = core.getHeroLoc('x'),\n\t\t\ttoY = core.getHeroLoc('y');\n\t\tvar mw = core.floors[toId].width,\n\t\t\tmh = core.floors[toId].height;\n\t\tif (toX >= 0 && toX < mw && toY >= 0 && toY < mh && core.getBlock(toX, toY, toId) == null) {\n\t\t\treturn true;\n\t\t}\n\t}\n\treturn false;\n})();",
		"hideInToolbox": false,
		"hideInReplay": true
	},
	"earthquake": {
		"cls": "tools",
		"name": "地震卷轴",
		"text": "可以破坏当前层的所有墙",
		"useItemEffect": "(function () {\n\tvar indexes = [];\n\tfor (var index in core.status.thisMap.blocks) {\n\t\tvar block = core.status.thisMap.blocks[index];\n\t\tif (!block.disable && block.event.canBreak) {\n\t\t\tindexes.push(index);\n\t\t}\n\t}\n\tcore.removeBlockByIndexes(indexes);\n\tcore.redrawMap();\n\tcore.playSound('door.mp3');\n\tcore.drawTip(core.material.items[itemId].name + '使用成功');\n})();",
		"canUseItemEffect": "(function () {\n\treturn core.status.thisMap.blocks.filter(function (block) {\n\t\treturn !block.disable && block.event.canBreak;\n\t}).length > 0;\n})();",
		"hideInToolbox": false,
		"hideInReplay": true
	},
	"poisonWine": {
		"cls": "tools",
		"name": "解毒药水",
		"text": "可以解除中毒状态",
		"useItemEffect": "core.triggerDebuff('remove', 'poison');",
		"canUseItemEffect": "core.hasFlag('poison');"
	},
	"weakWine": {
		"cls": "tools",
		"name": "解衰药水",
		"text": "可以解除衰弱状态",
		"useItemEffect": "core.triggerDebuff('remove', 'weak');",
		"canUseItemEffect": "core.hasFlag('weak');"
	},
	"curseWine": {
		"cls": "tools",
		"name": "解咒药水",
		"text": "可以解除诅咒状态",
		"useItemEffect": "core.triggerDebuff('remove', 'curse');",
		"canUseItemEffect": "core.hasFlag('curse');"
	},
	"superWine": {
		"cls": "tools",
		"name": "万能药水",
		"text": "可以解除所有不良状态",
		"useItemEffect": "core.triggerDebuff('remove', ['poison', 'weak', 'curse']);",
		"canUseItemEffect": "(function() {\n\treturn core.hasFlag('poison') || core.hasFlag('weak') || core.hasFlag('curse');\n})();"
	},
	"hammer": {
		"cls": "tools",
		"name": "圣锤",
		"text": "该道具尚未被定义"
	},
	"lifeWand": {
		"cls": "tools",
		"name": "生命魔杖",
		"text": "可以恢复100点生命值",
		"useItemEvent": [
			{
				"type": "comment",
				"text": "先恢复一个魔杖（因为使用道具必须消耗一个）"
			},
			{
				"type": "function",
				"function": "function(){\ncore.addItem('lifeWand', 1);\n}"
			},
			{
				"type": "playSound",
				"name": "打开界面"
			},
			{
				"type": "input",
				"text": "请输入生命魔杖使用次数：(0-${item:lifeWand})"
			},
			{
				"type": "comment",
				"text": "【接受用户输入】弹窗输入的结果将会保存在“flag:input”中\n如果需要更多帮助，请查阅帮助文档"
			},
			{
				"type": "if",
				"condition": "flag:input<=item:lifeWand",
				"true": [
					{
						"type": "setValue",
						"name": "item:lifeWand",
						"operator": "-=",
						"value": "flag:input"
					},
					{
						"type": "setValue",
						"name": "status:hp",
						"operator": "+=",
						"value": "flag:input*100"
					},
					{
						"type": "playSound",
						"name": "回血"
					},
					"成功使用${flag:input}次生命魔杖，恢复${flag:input*100}点生命。"
				],
				"false": [
					{
						"type": "playSound",
						"name": "操作失败"
					},
					"输入不合法！"
				]
			}
		],
		"canUseItemEffect": "true"
	},
	"jumpShoes": {
		"cls": "tools",
		"name": "跳跃靴",
		"text": "能跳跃到前方两格处",
		"useItemEffect": "core.playSound(\"跳跃\");\ncore.insertAction({ \"type\": \"jumpHero\", \"loc\": [core.nextX(2), core.nextY(2)] });",
		"canUseItemEffect": "(function () {\n\tvar nx = core.nextX(2),\n\t\tny = core.nextY(2);\n\treturn nx >= 0 && nx < core.bigmap.width && ny >= 0 && ny < core.bigmap.height && core.getBlockId(nx, ny) == null;\n})();"
	},
	"skill1": {
		"cls": "tools",
		"name": "魔法棒",
		"text": "使用后获得魔攻，持续1次战斗",
		"hideInReplay": true,
		"useItemEffect": "(function () {\n\tcore.setFlag('mogong_using', 1);\n})();",
		"canUseItemEffect": "true"
	},
	"wand": {
		"cls": "constants",
		"name": "记事本",
		"text": "可以查看小丑牌信息或售出小丑牌",
		"itemEffect": null,
		"canUseItemEffect": "true",
		"hideInToolbox": false,
		"hideInReplay": true,
		"useItemEffect": "core.insertCommonEvent(\"新记事本\");"
	},
	"pack": {
		"cls": "items",
		"name": "钱袋",
		"itemEffect": "core.status.hero.money += 500",
		"itemEffectTip": "，金币+500"
	},
	"I300": {
		"cls": "constants",
		"name": "帮助",
		"text": "使用后可以查看帮助",
		"itemEffect": "core.insertCommonEvent(\"帮助\");",
		"canUseItemEffect": "true",
		"hideInToolbox": true,
		"hideInReplay": true
	}
}